/*********************************************************************
 *                                                                   *
 *   Copyright 2016 Simon M. Werner                                  *
 *                                                                   *
 *   Licensed to the Apache Software Foundation (ASF) under one      *
 *   or more contributor license agreements.  See the NOTICE file    *
 *   distributed with this work for additional information           *
 *   regarding copyright ownership.  The ASF licenses this file      *
 *   to you under the Apache License, Version 2.0 (the               *
 *   "License"); you may not use this file except in compliance      *
 *   with the License.  You may obtain a copy of the License at      *
 *                                                                   *
 *      http://www.apache.org/licenses/LICENSE-2.0                   *
 *                                                                   *
 *   Unless required by applicable law or agreed to in writing,      *
 *   software distributed under the License is distributed on an     *
 *   "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY          *
 *   KIND, either express or implied.  See the License for the       *
 *   specific language governing permissions and limitations         *
 *   under the License.                                              *
 *                                                                   *
 *********************************************************************/

'use strict';

//
// This data was gathered using the mpu9250 library (https://www.npmjs.com/package/mpu9250)
// and using the `create-test-data.js` script.
//

module.exports = [
{ gyro: { x: 0.00116, y: -0.4206, z: 0.22182 },
  accel: { x: -0.00269, y: -1.00179, z: 0.00705 },
  compass: { x: -126.87513, y: -41.21728, z: 35.13987 },
  dt: 30 },
{ gyro: { x: -0.15151, y: -0.24502, z: 0.00808 },
  accel: { x: -0.00758, y: -1.00179, z: 0.0092 },
  compass: { x: -128.72732, y: -44.80139, z: 33.42573 },
  dt: 54 },
{ gyro: { x: 0.03169, y: -0.43586, z: -0.04536 },
  accel: { x: -0.00147, y: -1.00326, z: 0.00681 },
  compass: { x: -128.72732, y: -44.80139, z: 33.42573 },
  dt: 20 },
{ gyro: { x: -0.11334, y: -0.24502, z: 0.03861 },
  accel: { x: -0.00489, y: -1.00277, z: 0.01184 },
  compass: { x: -130.57951, y: -43.00933, z: 35.13987 },
  dt: 16 },
{ gyro: { x: -0.09044, y: -0.19159, z: 0.04624 },
  accel: { x: -0.00025, y: -1.00473, z: 0.01112 },
  compass: { x: -126.87513, y: -46.59345, z: 33.42573 },
  dt: 16 },
{ gyro: { x: 0.1004, y: -0.31373, z: -0.2133 },
  accel: { x: -0.00318, y: -1.00448, z: 0.01088 },
  compass: { x: -126.87513, y: -43.00933, z: 38.56815 },
  dt: 15 },
{ gyro: { x: -0.29655, y: -0.15342, z: 0.17602 },
  accel: { x: -0.00294, y: -1.00301, z: 0.00944 },
  compass: { x: -126.87513, y: -41.21728, z: 36.85401 },
  dt: 19 },
{ gyro: { x: 0.08513, y: -0.13052, z: -0.02246 },
  accel: { x: -0.00367, y: -1.00473, z: 0.00992 },
  compass: { x: -126.87513, y: -48.3855, z: 38.56815 },
  dt: 19 },
{ gyro: { x: 0.06223, y: -0.37479, z: 0.06151 },
  accel: { x: -0.00294, y: -1.00155, z: 0.01328 },
  compass: { x: -126.87513, y: -48.3855, z: 38.56815 },
  dt: 16 },
{ gyro: { x: -0.00647, y: -0.34426, z: -0.08353 },
  accel: { x: -0.00465, y: -1.00277, z: 0.0128 },
  compass: { x: -128.72732, y: -41.21728, z: 35.13987 },
  dt: 17 },
{ gyro: { x: -0.12098, y: -0.13815, z: -0.02246 },
  accel: { x: -0.00221, y: -1.00815, z: 0.00657 },
  compass: { x: -128.72732, y: -44.80139, z: 35.13987 },
  dt: 17 },
{ gyro: { x: -0.09808, y: -0.09235, z: 0.02334 },
  accel: { x: -0.0066, y: -1.00155, z: 0.00657 },
  compass: { x: -126.87513, y: -46.59345, z: 35.13987 },
  dt: 25 },
{ gyro: { x: 0.09276, y: -0.30609, z: 0.00808 },
  accel: { x: -0.00367, y: -0.99983, z: 0.01112 },
  compass: { x: -126.87513, y: -44.80139, z: 35.13987 },
  dt: 16 },
{ gyro: { x: -0.05991, y: -0.26029, z: 0.13021 },
  accel: { x: -0.00196, y: -1.00155, z: 0.0128 },
  compass: { x: -130.57951, y: -43.00933, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.09044, y: -0.03128, z: 0.30579 },
  accel: { x: -0.00636, y: -1.00546, z: 0.0152 },
  compass: { x: -125.02294, y: -46.59345, z: 36.85401 },
  dt: 18 },
{ gyro: { x: 0.0775, y: -0.11525, z: 0.11495 },
  accel: { x: -0.00367, y: -1.00057, z: 0.01184 },
  compass: { x: -126.87513, y: -43.00933, z: 36.85401 },
  dt: 18 },
{ gyro: { x: 0.08513, y: -0.29846, z: 0.13021 },
  accel: { x: -0.00294, y: -1.00399, z: 0.00992 },
  compass: { x: -126.87513, y: -48.3855, z: 36.85401 },
  dt: 16 },
{ gyro: { x: 0.02406, y: -0.32136, z: 0.11495 },
  accel: { x: -0.00709, y: -1.00668, z: 0.00705 },
  compass: { x: -125.02294, y: -46.59345, z: 33.42573 },
  dt: 16 },
{ gyro: { x: -0.09808, y: -0.22212, z: 0.19892 },
  accel: { x: -0.00318, y: -1.00424, z: 0.01136 },
  compass: { x: -130.57951, y: -43.00933, z: 33.42573 },
  dt: 19 },
{ gyro: { x: -0.11334, y: 0.09085, z: 0.03098 },
  accel: { x: -0.00074, y: -1.00277, z: 0.01376 },
  compass: { x: -130.57951, y: -43.00933, z: 33.42573 },
  dt: 17 },
{ gyro: { x: -0.13624, y: -0.40533, z: -0.02246 },
  accel: { x: -0.00465, y: -1.00228, z: 0.01616 },
  compass: { x: -128.72732, y: -43.00933, z: 35.13987 },
  dt: 14 },
{ gyro: { x: -0.15151, y: -0.35189, z: 0.11495 },
  accel: { x: -0.00391, y: -1.0035, z: 0.00392 },
  compass: { x: -128.72732, y: -48.3855, z: 36.85401 },
  dt: 17 },
{ gyro: { x: 0.04696, y: -0.11525, z: 0.22182 },
  accel: { x: -0.00709, y: -1.0035, z: 0.0152 },
  compass: { x: -125.02294, y: -43.00933, z: 38.56815 },
  dt: 14 },
{ gyro: { x: 0.10803, y: -0.32899, z: 0.19128 },
  accel: { x: -0.00343, y: -1.00106, z: 0.00968 },
  compass: { x: -125.02294, y: -43.00933, z: 38.56815 },
  dt: 14 },
{ gyro: { x: 0.13856, y: -0.20685, z: 0.19128 },
  accel: { x: -0.00489, y: -1.00008, z: 0.01256 },
  compass: { x: -125.02294, y: -43.00933, z: 38.56815 },
  dt: 14 },
{ gyro: { x: -0.11334, y: -0.26792, z: 0.10731 },
  accel: { x: -0.00367, y: -1.00106, z: 0.01088 },
  compass: { x: -125.02294, y: -43.00933, z: 38.56815 },
  dt: 19 },
{ gyro: { x: -0.02937, y: -0.07708, z: 0.06915 },
  accel: { x: -0.00978, y: -1.00326, z: 0.00992 },
  compass: { x: -130.57951, y: -46.59345, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.35231, y: -0.38243, z: 0.01571 },
  accel: { x: -0.00489, y: -1.00106, z: 0.01472 },
  compass: { x: -128.72732, y: -41.21728, z: 35.13987 },
  dt: 25 },
{ gyro: { x: 0.10803, y: -0.16869, z: 0.25998 },
  accel: { x: -0.00367, y: -0.99836, z: 0.00873 },
  compass: { x: -128.72732, y: -41.21728, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.14388, y: 0.03742, z: -0.06826 },
  accel: { x: -0.00587, y: -1.00106, z: 0.01064 },
  compass: { x: -132.43171, y: -43.00933, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.01411, y: -0.22212, z: 0.21418 },
  accel: { x: -0.00465, y: -1.00546, z: 0.01496 },
  compass: { x: -126.87513, y: -44.80139, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.02937, y: -0.16869, z: 0.18365 },
  accel: { x: -0.00245, y: -1.00228, z: 0.01304 },
  compass: { x: -130.57951, y: -46.59345, z: 33.42573 },
  dt: 61 },
{ gyro: { x: -0.23548, y: -0.19922, z: -0.06826 },
  accel: { x: -0.00367, y: -1.00326, z: 0.01112 },
  compass: { x: -130.57951, y: -46.59345, z: 33.42573 },
  dt: 16 },
{ gyro: { x: 0.10803, y: -0.4206, z: 0.05388 },
  accel: { x: -0.00343, y: -1.00032, z: 0.01448 },
  compass: { x: -126.87513, y: -44.80139, z: 33.42573 },
  dt: 24 },
{ gyro: { x: -0.12861, y: -0.22212, z: 0.08441 },
  accel: { x: -0.00318, y: -1.00326, z: 0.00968 },
  compass: { x: -125.02294, y: -43.00933, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.1462, y: -0.4893, z: -0.03009 },
  accel: { x: 0.00463, y: -1.00203, z: 0.00777 },
  compass: { x: -125.02294, y: -41.21728, z: 36.85401 },
  dt: 18 },
{ gyro: { x: 0.1004, y: -0.32899, z: 0.09205 },
  accel: { x: -0.00416, y: -1.00155, z: 0.01376 },
  compass: { x: -126.87513, y: -44.80139, z: 38.56815 },
  dt: 14 },
{ gyro: { x: 0.10803, y: -0.32899, z: 0.02334 },
  accel: { x: -0.00807, y: -1.00301, z: 0.01256 },
  compass: { x: -126.87513, y: -44.80139, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 0.29887, y: -0.22976, z: -0.03009 },
  accel: { x: -0.00367, y: -1.00301, z: 0.01016 },
  compass: { x: -132.43171, y: -41.21728, z: 38.56815 },
  dt: 14 },
{ gyro: { x: -0.05227, y: -0.16869, z: 0.03861 },
  accel: { x: -0.00489, y: -0.99885, z: 0.0128 },
  compass: { x: -128.72732, y: -43.00933, z: 31.71159 },
  dt: 13 },
{ gyro: { x: 0.06986, y: -0.57327, z: -0.05299 },
  accel: { x: -0.00465, y: -1.00179, z: 0.01136 },
  compass: { x: -128.72732, y: -43.00933, z: 31.71159 },
  dt: 12 },
{ gyro: { x: 0.04696, y: -0.4893, z: -0.03009 },
  accel: { x: -0.00611, y: -0.9991, z: 0.00968 },
  compass: { x: -128.72732, y: -43.00933, z: 31.71159 },
  dt: 13 },
{ gyro: { x: -0.18205, y: -0.48166, z: -0.03773 },
  accel: { x: -0.00294, y: -1.00032, z: 0.01737 },
  compass: { x: -126.87513, y: -44.80139, z: 36.85401 },
  dt: 14 },
{ gyro: { x: -0.06754, y: -0.19922, z: 0.16075 },
  accel: { x: -0.00611, y: -1.00155, z: 0.00992 },
  compass: { x: -132.43171, y: -44.80139, z: 40.28229 },
  dt: 19 },
{ gyro: { x: -0.06754, y: -0.4664, z: 0.16075 },
  accel: { x: -0.00245, y: -1.00179, z: 0.00896 },
  compass: { x: -134.2839, y: -44.80139, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.07518, y: -0.35953, z: -0.06063 },
  accel: { x: -0.00147, y: -0.99836, z: 0.01256 },
  compass: { x: -134.2839, y: -44.80139, z: 35.13987 },
  dt: 20 },
{ gyro: { x: 0.03933, y: -0.36716, z: 0.03098 },
  accel: { x: -0.00294, y: -1.00252, z: 0.00633 },
  compass: { x: -128.72732, y: -44.80139, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.1691, y: -0.23739, z: -0.07589 },
  accel: { x: -0.00269, y: -1.00081, z: 0.0104 },
  compass: { x: -128.72732, y: -44.80139, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.05991, y: -0.02365, z: 0.29052 },
  accel: { x: -0.00221, y: -1.00277, z: 0.01232 },
  compass: { x: -130.57951, y: -41.21728, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.22021, y: -0.32136, z: 0.24472 },
  accel: { x: -0.00416, y: -1.00203, z: 0.01064 },
  compass: { x: -126.87513, y: -46.59345, z: 35.13987 },
  dt: 14 },
{ gyro: { x: 0.13856, y: -0.26029, z: -0.01482 },
  accel: { x: -0.00318, y: -0.99934, z: 0.01376 },
  compass: { x: -126.87513, y: -46.59345, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.09808, y: -0.31373, z: 0.05388 },
  accel: { x: -0.00147, y: -1.00424, z: 0.00992 },
  compass: { x: -126.87513, y: -46.59345, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.04464, y: -0.33663, z: 0.17602 },
  accel: { x: -0.00245, y: -1.00375, z: 0.0128 },
  compass: { x: -130.57951, y: -44.80139, z: 35.13987 },
  dt: 14 },
{ gyro: { x: -0.34235, y: -0.22976, z: 0.19128 },
  accel: { x: -0.00074, y: -1.00203, z: 0.0044 },
  compass: { x: -125.02294, y: -46.59345, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.2607, y: -0.28319, z: -0.12933 },
  accel: { x: -0.0044, y: -1.00473, z: 0.00825 },
  compass: { x: -125.02294, y: -46.59345, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.02937, y: -0.45113, z: -0.13696 },
  accel: { x: -0.00221, y: -1.00301, z: 0.01761 },
  compass: { x: -125.02294, y: -37.63317, z: 36.85401 },
  dt: 14 },
{ gyro: { x: -0.00647, y: -0.10762, z: -0.04536 },
  accel: { x: -0.00343, y: -1.00252, z: 0.01208 },
  compass: { x: -126.87513, y: -46.59345, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.00116, y: 0.06032, z: 0.06151 },
  accel: { x: -0.00489, y: -1.00032, z: 0.00777 },
  compass: { x: -130.57951, y: -46.59345, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.13093, y: -0.28319, z: -0.27437 },
  accel: { x: -0.00196, y: -0.99861, z: 0.01208 },
  compass: { x: -130.57951, y: -46.59345, z: 35.13987 },
  dt: 14 },
{ gyro: { x: -0.05991, y: -0.29082, z: -0.09879 },
  accel: { x: -0.00465, y: -0.99885, z: 0.00944 },
  compass: { x: -125.02294, y: -46.59345, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.17441, y: -0.12289, z: -0.02246 },
  accel: { x: -0.00123, y: -1.00106, z: 0.0104 },
  compass: { x: -130.57951, y: -41.21728, z: 38.56815 },
  dt: 13 },
{ gyro: { x: 0.04696, y: -0.18395, z: -0.15223 },
  accel: { x: -0.00245, y: -0.99836, z: 0.01256 },
  compass: { x: -130.57951, y: -41.21728, z: 38.56815 },
  dt: 14 },
{ gyro: { x: -0.09044, y: -0.42823, z: 0.03098 },
  accel: { x: -0.00343, y: -0.99983, z: 0.01112 },
  compass: { x: -130.57951, y: -41.21728, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -0.18968, y: -0.35189, z: 0.16075 },
  accel: { x: -0.01002, y: -0.99861, z: 0.00992 },
  compass: { x: -126.87513, y: -43.00933, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.04696, y: -0.03892, z: 0.07678 },
  accel: { x: -0.00489, y: -1.00008, z: 0.00609 },
  compass: { x: -125.02294, y: -48.3855, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -0.05991, y: -0.28319, z: 0.11495 },
  accel: { x: -0.00391, y: -1.00326, z: 0.00849 },
  compass: { x: -126.87513, y: -43.00933, z: 38.56815 },
  dt: 33 },
{ gyro: { x: 0.0775, y: -0.12289, z: 0.05388 },
  accel: { x: -0.00269, y: -1.00155, z: 0.00512 },
  compass: { x: -126.87513, y: -43.00933, z: 38.56815 },
  dt: 13 },
{ gyro: { x: 0.17673, y: -0.06182, z: 0.13021 },
  accel: { x: -0.00807, y: -1.00546, z: 0.01184 },
  compass: { x: -128.72732, y: -46.59345, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.06223, y: -0.31373, z: 0.09968 },
  accel: { x: -0.00489, y: -1.00106, z: 0.01496 },
  compass: { x: -130.57951, y: -44.80139, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.06754, y: -0.13052, z: -0.06826 },
  accel: { x: -0.00221, y: -1.00106, z: 0.01184 },
  compass: { x: -130.57951, y: -44.80139, z: 35.13987 },
  dt: 14 },
{ gyro: { x: 0.16147, y: -0.19159, z: -0.00719 },
  accel: { x: -0.00611, y: -1.00081, z: 0.00896 },
  compass: { x: -125.02294, y: -44.80139, z: 33.42573 },
  dt: 26 },
{ gyro: { x: 0.09276, y: -0.20685, z: 0.13021 },
  accel: { x: -0.00343, y: -1.00399, z: 0.01328 },
  compass: { x: -126.87513, y: -41.21728, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.06223, y: -0.18395, z: 0.14548 },
  accel: { x: -0.00465, y: -1.00644, z: 0.01544 },
  compass: { x: -126.87513, y: -41.21728, z: 36.85401 },
  dt: 15 },
{ gyro: { x: -0.05991, y: -0.31373, z: 0.21418 },
  accel: { x: -0.00367, y: -1.00179, z: 0.01184 },
  compass: { x: -130.57951, y: -43.00933, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.05991, y: -0.31373, z: -0.07589 },
  accel: { x: -0.00636, y: -1.00057, z: 0.01136 },
  compass: { x: -126.87513, y: -41.21728, z: 38.56815 },
  dt: 13 },
{ gyro: { x: 0.13093, y: -0.02365, z: 0.25998 },
  accel: { x: -0.0066, y: -1.00106, z: 0.00657 },
  compass: { x: -126.87513, y: -41.21728, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 0.01643, y: -0.09235, z: 0.06915 },
  accel: { x: -0.00147, y: -1.00081, z: 0.01424 },
  compass: { x: -126.87513, y: -43.00933, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.1004, y: -0.42823, z: 0.01571 },
  accel: { x: -0.00294, y: -1.00057, z: 0.01208 },
  compass: { x: -128.72732, y: -46.59345, z: 40.28229 },
  dt: 13 },
{ gyro: { x: 0.03169, y: -0.40533, z: -0.28963 },
  accel: { x: -0.00123, y: -1.00375, z: 0.01328 },
  compass: { x: -130.57951, y: -43.00933, z: 33.42573 },
  dt: 13 },
{ gyro: { x: -0.06754, y: -0.20685, z: 0.20655 },
  accel: { x: -0.00709, y: -1.0035, z: 0.00968 },
  compass: { x: -130.57951, y: -43.00933, z: 33.42573 },
  dt: 14 },
{ gyro: { x: 0.13856, y: -0.28319, z: 0.09968 },
  accel: { x: 0.00146, y: -1.00742, z: 0.01232 },
  compass: { x: -128.72732, y: -43.00933, z: 33.42573 },
  dt: 13 },
{ gyro: { x: 0.01643, y: -0.04655, z: -0.25147 },
  accel: { x: -0.00294, y: -1.00522, z: 0.01352 },
  compass: { x: -128.72732, y: -43.00933, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.0775, y: -0.23739, z: -0.12933 },
  accel: { x: -0.00294, y: -0.99885, z: 0.00825 },
  compass: { x: -128.72732, y: -43.00933, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.08513, y: -0.06182, z: -0.282 },
  accel: { x: 0.0017, y: -1.00326, z: 0.02673 },
  compass: { x: -128.72732, y: -43.00933, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.15383, y: -0.22976, z: -0.60261 },
  accel: { x: -0.00025, y: -1.0062, z: 0.00584 },
  compass: { x: -126.87513, y: -44.80139, z: 35.13987 },
  dt: 14 },
{ gyro: { x: 1.32177, y: -3.23739, z: -26.28963 },
  accel: { x: -0.02582, y: -1.13762, z: 0.01761 },
  compass: { x: -130.57951, y: -44.80139, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -1.22021, y: -2.5351, z: -45.10643 },
  accel: { x: 0.07766, y: -1.06004, z: -0.00715 },
  compass: { x: -130.57951, y: -44.80139, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.29887, y: -0.21449, z: -46.51101 },
  accel: { x: 0.04493, y: -0.98025, z: -0.0276 },
  compass: { x: -132.43171, y: -41.21728, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -1.88434, y: -0.89388, z: -38.12169 },
  accel: { x: -0.00318, y: -0.99518, z: -0.03651 },
  compass: { x: -128.72732, y: -41.21728, z: 36.85401 },
  dt: 14 },
{ gyro: { x: -0.32708, y: -0.32136, z: -5.94612 },
  accel: { x: 0.04933, y: -0.957, z: 0.00633 },
  compass: { x: -136.13609, y: -37.63317, z: 35.13987 },
  dt: 47 },
{ gyro: { x: -0.25075, y: -0.31373, z: -0.46521 },
  accel: { x: 0.05422, y: -0.99616, z: 0.0152 },
  compass: { x: -132.43171, y: -35.84111, z: 40.28229 },
  dt: 14 },
{ gyro: { x: 0.02406, y: -0.40533, z: -0.282 },
  accel: { x: 0.05617, y: -1.00032, z: 0.014 },
  compass: { x: -128.72732, y: -39.42522, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.08281, y: -0.45113, z: -0.43467 },
  accel: { x: 0.04933, y: -1.0013, z: 0.01184 },
  compass: { x: -128.72732, y: -39.42522, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.09044, y: -0.17632, z: -0.41177 },
  accel: { x: 0.05006, y: -1.00448, z: 0.00944 },
  compass: { x: -132.43171, y: -37.63317, z: 33.42573 },
  dt: 13 },
{ gyro: { x: 0.42101, y: -0.09998, z: -2.03009 },
  accel: { x: 0.04469, y: -1.02186, z: 0.00968 },
  compass: { x: -130.57951, y: -37.63317, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.12098, y: 1.16719, z: -18.85452 },
  accel: { x: 0.09159, y: -1.03043, z: -0.00715 },
  compass: { x: -132.43171, y: -34.04906, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.28128, y: -0.74121, z: -21.70185 },
  accel: { x: 0.06325, y: -0.99641, z: 0.00992 },
  compass: { x: -132.43171, y: -34.04906, z: 35.13987 },
  dt: 14 },
{ gyro: { x: 0.23017, y: -0.80227, z: -23.52627 },
  accel: { x: 0.06008, y: -1.00693, z: 0.01929 },
  compass: { x: -134.2839, y: -34.04906, z: 40.28229 },
  dt: 13 },
{ gyro: { x: 0.1462, y: -0.64197, z: -27.79345 },
  accel: { x: 0.06887, y: -1.00228, z: 0.00777 },
  compass: { x: -134.2839, y: -32.257, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.94773, y: -0.56563, z: -25.97666 },
  accel: { x: 0.0547, y: -0.98735, z: 0.0044 },
  compass: { x: -126.87513, y: -34.04906, z: 33.42573 },
  dt: 17 },
{ gyro: { x: -1.04464, y: -0.03892, z: -25.50337 },
  accel: { x: 0.07253, y: -0.99836, z: 0.00609 },
  compass: { x: -132.43171, y: -34.04906, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.40342, y: -1.33663, z: -21.53391 },
  accel: { x: 0.08157, y: -0.98686, z: 0.01136 },
  compass: { x: -132.43171, y: -34.04906, z: 36.85401 },
  dt: 14 },
{ gyro: { x: 0.24544, y: -0.86334, z: -22.00719 },
  accel: { x: 0.10087, y: -0.99787, z: 0.00873 },
  compass: { x: -130.57951, y: -32.257, z: 40.28229 },
  dt: 13 },
{ gyro: { x: 0.52024, y: -0.24502, z: -19.35834 },
  accel: { x: 0.09232, y: -0.98001, z: 0.00344 },
  compass: { x: -130.57951, y: -30.46495, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.2836, y: -0.61144, z: -14.3049 },
  accel: { x: 0.09916, y: -0.97927, z: 0.02025 },
  compass: { x: -136.13609, y: -28.67289, z: 38.56815 },
  dt: 13 },
{ gyro: { x: 0.10803, y: -0.16105, z: -11.36597 },
  accel: { x: 0.10844, y: -0.98148, z: 0.01568 },
  compass: { x: -136.13609, y: -28.67289, z: 38.56815 },
  dt: 13 },
{ gyro: { x: 0.03933, y: 0.08322, z: -13.42704 },
  accel: { x: 0.09916, y: -1.0106, z: 0.00609 },
  compass: { x: -132.43171, y: -26.88083, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.24544, y: -0.23739, z: -19.06826 },
  accel: { x: 0.11479, y: -0.99053, z: 0.00416 },
  compass: { x: -132.43171, y: -28.67289, z: 40.28229 },
  dt: 22 },
{ gyro: { x: -0.51792, y: 0.31223, z: -18.95376 },
  accel: { x: 0.13555, y: -0.99787, z: -0.00426 },
  compass: { x: -132.43171, y: -28.67289, z: 40.28229 },
  dt: 13 },
{ gyro: { x: -1.54082, y: -0.89388, z: -18.57971 },
  accel: { x: 0.12529, y: -0.98466, z: 0.01184 },
  compass: { x: -132.43171, y: -28.67289, z: 40.28229 },
  dt: 13 },
{ gyro: { x: -0.11334, y: -0.50456, z: -18.74002 },
  accel: { x: 0.13579, y: -0.99543, z: 0.01208 },
  compass: { x: -136.13609, y: -23.29672, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.51792, y: -0.63434, z: -20.17513 },
  accel: { x: 0.12895, y: -1.00057, z: 0.00248 },
  compass: { x: -136.13609, y: -26.88083, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 1.08513, y: -1.74121, z: -23.62551 },
  accel: { x: 0.12407, y: -0.99494, z: 0.0385 },
  compass: { x: -134.2839, y: -26.88083, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.38815, y: -0.12289, z: -21.41177 },
  accel: { x: 0.12724, y: -0.97952, z: -0.00763 },
  compass: { x: -134.2839, y: -26.88083, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.34235, y: -0.22212, z: -20.17513 },
  accel: { x: 0.13701, y: -0.99983, z: 0.00609 },
  compass: { x: -134.2839, y: -21.50467, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.45154, y: -0.5809, z: -20.64078 },
  accel: { x: 0.14996, y: -0.97756, z: 0.01232 },
  compass: { x: -130.57951, y: -28.67289, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.60421, y: -0.36716, z: -21.93849 },
  accel: { x: 0.15509, y: -1.00742, z: 0.00801 },
  compass: { x: -134.2839, y: -21.50467, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 1.52788, y: -0.55037, z: -32.74765 },
  accel: { x: 0.20809, y: -1.00766, z: 0.06493 },
  compass: { x: -134.2839, y: -21.50467, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -1.31182, y: -0.19922, z: -39.38124 },
  accel: { x: 0.18977, y: -0.99518, z: -0.0892 },
  compass: { x: -136.13609, y: -25.08878, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -1.66296, y: -0.5809, z: -30.42704 },
  accel: { x: 0.16217, y: -0.95578, z: -0.00619 },
  compass: { x: -136.13609, y: -23.29672, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.26602, y: -1.81754, z: -27.92322 },
  accel: { x: 0.17438, y: -0.98931, z: 0.02337 },
  compass: { x: -134.2839, y: -19.71261, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.26834, y: -0.42823, z: -30.3507 },
  accel: { x: 0.20589, y: -0.98613, z: 0.00296 },
  compass: { x: -134.2839, y: -19.71261, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.88434, y: 0.09085, z: -30.36597 },
  accel: { x: 0.19344, y: -0.97634, z: 0.02649 },
  compass: { x: -136.13609, y: -17.92056, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -1.808, y: 1.5107, z: -26.91559 },
  accel: { x: 0.19197, y: -0.97952, z: -0.01244 },
  compass: { x: -130.57951, y: -23.29672, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.13856, y: -0.58853, z: -28.4194 },
  accel: { x: 0.22152, y: -0.97927, z: 0.00368 },
  compass: { x: -136.13609, y: -16.1285, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 1.53551, y: -0.21449, z: -33.01482 },
  accel: { x: 0.23447, y: -0.97927, z: 0.0152 },
  compass: { x: -136.13609, y: -16.1285, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -1.38052, y: -0.72594, z: -35.99192 },
  accel: { x: 0.22958, y: -0.99102, z: -0.04757 },
  compass: { x: -136.13609, y: -16.1285, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -1.00647, y: -1.15342, z: -39.41177 },
  accel: { x: 0.22543, y: -0.97878, z: 0.00175 },
  compass: { x: -134.2839, y: -16.1285, z: 33.42573 },
  dt: 13 },
{ gyro: { x: 1.16147, y: -0.09235, z: -41.63315 },
  accel: { x: 0.27233, y: -0.98662, z: 0.02769 },
  compass: { x: -136.13609, y: -12.54439, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.6935, y: -1.12289, z: -45.17513 },
  accel: { x: 0.24082, y: -0.96801, z: 0.02025 },
  compass: { x: -136.13609, y: -12.54439, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 2.35231, y: -0.18395, z: -44.09116 },
  accel: { x: 0.30628, y: -0.95406, z: 0.02938 },
  compass: { x: -136.13609, y: -12.54439, z: 36.85401 },
  dt: 14 },
{ gyro: { x: 1.61185, y: -0.90915, z: -33.51101 },
  accel: { x: 0.18709, y: -0.98882, z: 0.17639 },
  compass: { x: -136.13609, y: -1.79206, z: 38.56815 },
  dt: 96 },
{ gyro: { x: -0.98357, y: 0.00689, z: -43.11406 },
  accel: { x: 0.36807, y: -0.93644, z: -0.0264 },
  compass: { x: -136.13609, y: -1.79206, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 1.70345, y: -2.90151, z: -43.27437 },
  accel: { x: 0.33827, y: -0.96116, z: 0.05628 },
  compass: { x: -136.13609, y: 0, z: 35.13987 },
  dt: 16 },
{ gyro: { x: 1.35231, y: -0.30609, z: -42.31253 },
  accel: { x: 0.33607, y: -0.93742, z: -0.04132 },
  compass: { x: -137.98828, y: 3.58411, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.25838, y: -2.55037, z: -39.10643 },
  accel: { x: 0.32753, y: -0.94232, z: 0.01304 },
  compass: { x: -137.98828, y: 3.58411, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.65533, y: -3.12289, z: -37.77818 },
  accel: { x: 0.3412, y: -0.92812, z: -0.04324 },
  compass: { x: -137.98828, y: 3.58411, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.192, y: -0.54273, z: -23.92322 },
  accel: { x: 0.34023, y: -0.92347, z: 0.0056 },
  compass: { x: -137.98828, y: 3.58411, z: 36.85401 },
  dt: 16 },
{ gyro: { x: 0.04696, y: -0.12289, z: -17.43467 },
  accel: { x: 0.37125, y: -0.9176, z: 0.0104 },
  compass: { x: -137.98828, y: 3.58411, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.44391, y: -0.25266, z: -13.54918 },
  accel: { x: 0.3688, y: -0.92004, z: 0.00729 },
  compass: { x: -137.98828, y: 3.58411, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.45154, y: -0.19922, z: -8.56444 },
  accel: { x: 0.3627, y: -0.91686, z: 0.01256 },
  compass: { x: -137.98828, y: 10.75233, z: 31.71159 },
  dt: 12 },
{ gyro: { x: 0.26834, y: -0.00838, z: -2.72475 },
  accel: { x: 0.37564, y: -0.92053, z: 0.01232 },
  compass: { x: -132.43171, y: 7.16822, z: 33.42573 },
  dt: 14 },
{ gyro: { x: 0.02406, y: -0.58853, z: -6.96139 },
  accel: { x: 0.41985, y: -0.94109, z: 0.02073 },
  compass: { x: -132.43171, y: 7.16822, z: 33.42573 },
  dt: 13 },
{ gyro: { x: -0.7393, y: 1.15956, z: -26.86215 },
  accel: { x: 0.48067, y: -0.93791, z: 0.02385 },
  compass: { x: -139.84047, y: 10.75233, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.81795, y: 0.90002, z: -42.3507 },
  accel: { x: 0.43011, y: -0.92567, z: -0.02688 },
  compass: { x: -141.69266, y: 7.16822, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.48208, y: -2.17632, z: -40.62551 },
  accel: { x: 0.35488, y: -0.91417, z: -0.00691 },
  compass: { x: -136.13609, y: 12.54439, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -2.31182, y: -3.16105, z: -38.2133 },
  accel: { x: 0.39933, y: -0.91148, z: -0.01485 },
  compass: { x: -136.13609, y: 12.54439, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -1.01411, y: -3.02365, z: -34.3965 },
  accel: { x: 0.38517, y: -0.89753, z: 0.03202 },
  compass: { x: -134.2839, y: 8.96028, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -1.41105, y: -1.95495, z: -26.1675 },
  accel: { x: 0.34633, y: -0.92739, z: 0.09544 },
  compass: { x: -132.43171, y: 16.1285, z: 31.71159 },
  dt: 13 },
{ gyro: { x: 0.32177, y: -0.13815, z: -18.77818 },
  accel: { x: 0.42181, y: -0.89826, z: 0.01472 },
  compass: { x: -136.13609, y: 14.33644, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.08513, y: 0.10612, z: -16.56444 },
  accel: { x: 0.43084, y: -0.90414, z: 0.00103 },
  compass: { x: -136.13609, y: 14.33644, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.17673, y: -0.19922, z: -13.47284 },
  accel: { x: 0.42718, y: -0.8919, z: 0.01016 },
  compass: { x: -134.2839, y: 14.33644, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.39811, y: -0.09235, z: -10.00719 },
  accel: { x: 0.43988, y: -0.89826, z: 0.00681 },
  compass: { x: -136.13609, y: 16.1285, z: 33.42573 },
  dt: 12 },
{ gyro: { x: 0.63475, y: -0.13052, z: -9.36597 },
  accel: { x: 0.44745, y: -0.89508, z: 0.01256 },
  compass: { x: -136.13609, y: 17.92056, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.01643, y: 0.12902, z: -11.3736 },
  accel: { x: 0.44672, y: -0.89875, z: 0.00681 },
  compass: { x: -136.13609, y: 17.92056, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.27365, y: 0.06795, z: -15.78582 },
  accel: { x: 0.46504, y: -0.89459, z: 0.01184 },
  compass: { x: -136.13609, y: 17.92056, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.18968, y: -0.54273, z: -19.81635 },
  accel: { x: 0.46479, y: -0.8941, z: 0.014 },
  compass: { x: -137.98828, y: 19.71261, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.28128, y: -0.39769, z: -21.65605 },
  accel: { x: 0.44672, y: -0.88872, z: 0.02049 },
  compass: { x: -136.13609, y: 19.71261, z: 33.42573 },
  dt: 13 },
{ gyro: { x: 0.16147, y: -0.57327, z: -19.03773 },
  accel: { x: 0.43353, y: -0.88774, z: 0.01616 },
  compass: { x: -136.13609, y: 19.71261, z: 33.42573 },
  dt: 13 },
{ gyro: { x: 0.88666, y: -0.5122, z: -18.64078 },
  accel: { x: 0.44428, y: -0.89557, z: 0.01833 },
  compass: { x: -137.98828, y: 16.1285, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.09808, y: 0.25116, z: -23.73238 },
  accel: { x: 0.48091, y: -0.88872, z: 0.00968 },
  compass: { x: -134.2839, y: 16.1285, z: 36.85401 },
  dt: 22 },
{ gyro: { x: -0.22785, y: -0.99311, z: -26.99192 },
  accel: { x: 0.45893, y: -0.88529, z: 0.00633 },
  compass: { x: -136.13609, y: 21.50467, z: 33.42573 },
  dt: 12 },
{ gyro: { x: -0.60953, y: -1.21449, z: -20.47284 },
  accel: { x: 0.45893, y: -0.87942, z: 0.00825 },
  compass: { x: -134.2839, y: 21.50467, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.35231, y: -0.68014, z: -16.94612 },
  accel: { x: 0.4792, y: -0.87942, z: 0.0032 },
  compass: { x: -134.2839, y: 21.50467, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.27597, y: -1.37479, z: -17.34307 },
  accel: { x: 0.48995, y: -0.87452, z: 0.00729 },
  compass: { x: -134.2839, y: 21.50467, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.12098, y: -1.51983, z: -19.57208 },
  accel: { x: 0.48287, y: -0.86669, z: 0.01929 },
  compass: { x: -136.13609, y: 25.08878, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.16678, y: -0.18395, z: -19.94612 },
  accel: { x: 0.50973, y: -0.86718, z: 0.00368 },
  compass: { x: -134.2839, y: 28.67289, z: 31.71159 },
  dt: 12 },
{ gyro: { x: 0.20727, y: -1.10762, z: -18.38887 },
  accel: { x: 0.47212, y: -0.86449, z: 0.02457 },
  compass: { x: -134.2839, y: 28.67289, z: 31.71159 },
  dt: 13 },
{ gyro: { x: 0.42101, y: -0.20685, z: -18.51101 },
  accel: { x: 0.4985, y: -0.87061, z: 0.00944 },
  compass: { x: -134.2839, y: 23.29672, z: 31.71159 },
  dt: 12 },
{ gyro: { x: 0.42864, y: -0.5351, z: -21.13696 },
  accel: { x: 0.50876, y: -0.86596, z: 0.00536 },
  compass: { x: -132.43171, y: 25.08878, z: 38.56815 },
  dt: 13 },
{ gyro: { x: -0.16678, y: -0.23739, z: -23.28963 },
  accel: { x: 0.50265, y: -0.86889, z: 0.00344 },
  compass: { x: -130.57951, y: 25.08878, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.46449, y: -0.6954, z: -24.90032 },
  accel: { x: 0.50705, y: -0.85886, z: 0.00175 },
  compass: { x: -130.57951, y: 25.08878, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.25838, y: -1.22212, z: -25.41177 },
  accel: { x: 0.51779, y: -0.85886, z: 0.02025 },
  compass: { x: -132.43171, y: 26.88083, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.46681, y: -0.21449, z: -20.63315 },
  accel: { x: 0.53538, y: -0.83756, z: 0.01737 },
  compass: { x: -137.98828, y: 28.67289, z: 31.71159 },
  dt: 12 },
{ gyro: { x: -0.40342, y: -0.17632, z: -22.93849 },
  accel: { x: 0.55077, y: -0.85617, z: 0.02553 },
  compass: { x: -134.2839, y: 28.67289, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.90724, y: -1.47403, z: -27.08353 },
  accel: { x: 0.51804, y: -0.86204, z: -0.01028 },
  compass: { x: -134.2839, y: 28.67289, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -2.70876, y: -2.29082, z: -29.79345 },
  accel: { x: 0.51999, y: -0.84735, z: 0.00657 },
  compass: { x: -134.2839, y: 28.67289, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.32177, y: 1.07559, z: -25.54918 },
  accel: { x: 0.53465, y: -0.83438, z: -0.01894 },
  compass: { x: -132.43171, y: 32.257, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.26602, y: 0.87711, z: -22.12169 },
  accel: { x: 0.54784, y: -0.83487, z: 0.01881 },
  compass: { x: -136.13609, y: 26.88083, z: 33.42573 },
  dt: 13 },
{ gyro: { x: 1.25307, y: 0.58704, z: -25.1675 },
  accel: { x: 0.55174, y: -0.82949, z: 0.00007 },
  compass: { x: -136.13609, y: 26.88083, z: 33.42573 },
  dt: 12 },
{ gyro: { x: 0.67292, y: 0.5565, z: -22.70948 },
  accel: { x: 0.55174, y: -0.83169, z: -0.00739 },
  compass: { x: -136.13609, y: 26.88083, z: 33.42573 },
  dt: 12 },
{ gyro: { x: -0.01411, y: -0.4206, z: -22.3736 },
  accel: { x: 0.56371, y: -0.82851, z: -0.00643 },
  compass: { x: -134.2839, y: 34.04906, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.10803, y: -0.77174, z: -21.1904 },
  accel: { x: 0.54735, y: -0.83096, z: -0.01124 },
  compass: { x: -134.2839, y: 34.04906, z: 38.56815 },
  dt: 13 },
{ gyro: { x: -0.30418, y: -1.61144, z: -27.51101 },
  accel: { x: 0.59302, y: -0.80648, z: -0.00474 },
  compass: { x: -134.2839, y: 35.84111, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -1.15151, y: -1.52747, z: -33.02246 },
  accel: { x: 0.57641, y: -0.82166, z: 0.03298 },
  compass: { x: -134.2839, y: 35.84111, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.74693, y: -1.06182, z: -19.4194 },
  accel: { x: 0.57568, y: -0.79473, z: 0.00224 },
  compass: { x: -130.57951, y: 35.84111, z: 33.42573 },
  dt: 13 },
{ gyro: { x: -0.90724, y: -1.12289, z: -14.78582 },
  accel: { x: 0.56909, y: -0.81798, z: 0.00896 },
  compass: { x: -130.57951, y: 39.42522, z: 31.71159 },
  dt: 12 },
{ gyro: { x: -0.33472, y: -0.72594, z: -12.53391 },
  accel: { x: 0.56933, y: -0.81333, z: 0.00968 },
  compass: { x: -134.2839, y: 39.42522, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.09276, y: -0.33663, z: -5.1446 },
  accel: { x: 0.56567, y: -0.80868, z: 0.00488 },
  compass: { x: -134.2839, y: 39.42522, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.35994, y: -0.00075, z: -0.3049 },
  accel: { x: 0.57959, y: -0.81407, z: 0.014 },
  compass: { x: -130.57951, y: 41.21728, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.2149, y: -0.06182, z: -0.05299 },
  accel: { x: 0.58227, y: -0.81064, z: 0.00968 },
  compass: { x: -128.72732, y: 41.21728, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.11566, y: 0.22826, z: 0.03861 },
  accel: { x: 0.58252, y: -0.81358, z: 0.00729 },
  compass: { x: -130.57951, y: 37.63317, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.15151, y: -0.08472, z: 0.00808 },
  accel: { x: 0.58032, y: -0.80771, z: 0.00272 },
  compass: { x: -130.57951, y: 37.63317, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.05991, y: -0.27556, z: -0.09879 },
  accel: { x: 0.58325, y: -0.81187, z: 0.01232 },
  compass: { x: -130.57951, y: 39.42522, z: 33.42573 },
  dt: 13 },
{ gyro: { x: 0.09276, y: -0.05418, z: 0.06915 },
  accel: { x: 0.58691, y: -0.81382, z: 0.0032 },
  compass: { x: -130.57951, y: 37.63317, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.01643, y: -0.17632, z: 0.16075 },
  accel: { x: 0.57983, y: -0.81064, z: 0.00609 },
  compass: { x: -132.43171, y: 37.63317, z: 33.42573 },
  dt: 12 },
{ gyro: { x: 0.09276, y: -0.34426, z: -0.06826 },
  accel: { x: 0.58203, y: -0.81138, z: 0.00657 },
  compass: { x: -132.43171, y: 37.63317, z: 33.42573 },
  dt: 13 },
{ gyro: { x: -0.07518, y: -0.39006, z: 0.32869 },
  accel: { x: 0.58203, y: -0.81407, z: 0.00488 },
  compass: { x: -132.43171, y: 37.63317, z: 33.42573 },
  dt: 20 },
{ gyro: { x: -0.30418, y: -0.04655, z: 0.23708 },
  accel: { x: 0.58325, y: -0.81236, z: 0.00705 },
  compass: { x: -132.43171, y: 37.63317, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.25838, y: -0.21449, z: 0.57296 },
  accel: { x: 0.58252, y: -0.81333, z: 0.00944 },
  compass: { x: -132.43171, y: 37.63317, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.91487, y: -0.13052, z: 0.49663 },
  accel: { x: 0.58447, y: -0.81431, z: 0.01568 },
  compass: { x: -130.57951, y: 37.63317, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -8.27365, y: -4.29082, z: 1.18365 },
  accel: { x: 0.56933, y: -0.81064, z: -0.07019 },
  compass: { x: -130.57951, y: 37.63317, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -10.99121, y: -2.16869, z: 0.98518 },
  accel: { x: 0.59009, y: -0.81113, z: 0.05556 },
  compass: { x: -130.57951, y: 43.00933, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -10.63243, y: -2.40533, z: 1.42792 },
  accel: { x: 0.58423, y: -0.82361, z: 0.0116 },
  compass: { x: -130.57951, y: 37.63317, z: 36.85401 },
  dt: 14 },
{ gyro: { x: -8.17441, y: -2.4893, z: 8.06915 },
  accel: { x: 0.54637, y: -0.82166, z: 0.01184 },
  compass: { x: -130.57951, y: 39.42522, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -5.29655, y: -0.94731, z: 20.06151 },
  accel: { x: 0.54588, y: -0.83071, z: 0.014 },
  compass: { x: -130.57951, y: 39.42522, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -3.60953, y: -0.49693, z: 23.22945 },
  accel: { x: 0.60816, y: -0.81676, z: -0.00522 },
  compass: { x: -128.72732, y: 37.63317, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.11566, y: 1.25116, z: 20.93937 },
  accel: { x: 0.59742, y: -0.83463, z: 0.00801 },
  compass: { x: -130.57951, y: 39.42522, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 1.46681, y: 3.28169, z: 23.89357 },
  accel: { x: 0.56884, y: -0.80771, z: 0.00296 },
  compass: { x: -130.57951, y: 39.42522, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 5.33704, y: 1.03742, z: 28.15311 },
  accel: { x: 0.55687, y: -0.84124, z: -0.00835 },
  compass: { x: -130.57951, y: 39.42522, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 5.51261, y: 2.3275, z: 26.43556 },
  accel: { x: 0.58643, y: -0.81896, z: -0.01341 },
  compass: { x: -132.43171, y: 32.257, z: 38.56815 },
  dt: 13 },
{ gyro: { x: 4.79505, y: 0.84658, z: 25.65693 },
  accel: { x: 0.59229, y: -0.90144, z: -0.00306 },
  compass: { x: -132.43171, y: 30.46495, z: 33.42573 },
  dt: 12 },
{ gyro: { x: 2.52024, y: 0.54124, z: 27.94701 },
  accel: { x: 0.54197, y: -0.84466, z: 0.00729 },
  compass: { x: -132.43171, y: 34.04906, z: 33.42573 },
  dt: 13 },
{ gyro: { x: 2.80269, y: 0.23589, z: 31.42029 },
  accel: { x: 0.52146, y: -0.80354, z: 0.01088 },
  compass: { x: -132.43171, y: 34.04906, z: 33.42573 },
  dt: 13 },
{ gyro: { x: 6.95536, y: 0.73971, z: 33.42029 },
  accel: { x: 0.52317, y: -0.77662, z: 0.03466 },
  compass: { x: -132.43171, y: 34.04906, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 9.97826, y: 1.08322, z: 32.36685 },
  accel: { x: 0.52146, y: -0.77589, z: -0.01581 },
  compass: { x: -128.72732, y: 30.46495, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 11.58895, y: 0.3275, z: 25.14548 },
  accel: { x: 0.52878, y: -0.79498, z: 0.00584 },
  compass: { x: -132.43171, y: 30.46495, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 2.48208, y: 0.4649, z: 27.04624 },
  accel: { x: 0.57153, y: -1.13738, z: 0.11898 },
  compass: { x: -132.43171, y: 30.46495, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.09044, y: -0.95495, z: 18.21418 },
  accel: { x: 0.54295, y: -0.86644, z: 0.01232 },
  compass: { x: -132.43171, y: 34.04906, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.71872, y: -1.02365, z: 21.16075 },
  accel: { x: 0.51633, y: -0.89973, z: -0.02014 },
  compass: { x: -132.43171, y: 32.257, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.25838, y: 0.60994, z: 38.16075 },
  accel: { x: 0.50289, y: -0.90609, z: 0.01064 },
  compass: { x: -136.13609, y: 23.29672, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.21258, y: 0.31986, z: 40.42792 },
  accel: { x: 0.52707, y: -0.887, z: 0.00512 },
  compass: { x: -136.13609, y: 23.29672, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.39047, y: 0.18246, z: 43.98518 },
  accel: { x: 0.50998, y: -0.90389, z: 0.0104 },
  compass: { x: -136.13609, y: 23.29672, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.43395, y: 0.36566, z: 47.77144 },
  accel: { x: 0.4792, y: -0.88823, z: -0.00306 },
  compass: { x: -136.13609, y: 19.71261, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.80037, y: 0.93818, z: 54.30579 },
  accel: { x: 0.45869, y: -0.89459, z: 0.01616 },
  compass: { x: -136.13609, y: 19.71261, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -1.21258, y: 0.3962, z: 56.7409 },
  accel: { x: 0.44623, y: -0.84515, z: 0.02025 },
  compass: { x: -136.13609, y: 16.1285, z: 38.56815 },
  dt: 14 },
{ gyro: { x: -2.96067, y: 1.09849, z: 60.77144 },
  accel: { x: 0.45136, y: -0.93204, z: 0.00055 },
  compass: { x: -136.13609, y: 16.1285, z: 36.85401 },
  dt: 20 },
{ gyro: { x: -0.11334, y: 1.3733, z: 62.95464 },
  accel: { x: 0.4157, y: -0.84809, z: 0.0152 },
  compass: { x: -137.98828, y: 16.1285, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 3.01643, y: 2.06032, z: 56.35922 },
  accel: { x: 0.40422, y: -0.8383, z: 0.04259 },
  compass: { x: -134.2839, y: 10.75233, z: 38.56815 },
  dt: 13 },
{ gyro: { x: 2.16147, y: 2.19009, z: 52.18365 },
  accel: { x: 0.38615, y: -0.73991, z: 0.00825 },
  compass: { x: -134.2839, y: 10.75233, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -2.76983, y: 1.07559, z: 38.75617 },
  accel: { x: 0.44574, y: -0.72253, z: 0.15573 },
  compass: { x: -137.98828, y: 7.16822, z: 38.56815 },
  dt: 13 },
{ gyro: { x: 10.78742, y: 0.86948, z: 47.70273 },
  accel: { x: 0.36954, y: -1.08623, z: 0.0164 },
  compass: { x: -139.84047, y: 5.37617, z: 41.99643 },
  dt: 13 },
{ gyro: { x: 0.85612, y: 1.87711, z: 44.24472 },
  accel: { x: 0.40202, y: -0.85274, z: 0.09736 },
  compass: { x: -137.98828, y: 7.16822, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -0.33472, y: -5.12289, z: 21.28289 },
  accel: { x: 0.37173, y: -0.57079, z: -0.01629 },
  compass: { x: -137.98828, y: 7.16822, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -0.90724, y: -1.13052, z: 24.6493 },
  accel: { x: 0.30115, y: -1.09014, z: -0.02231 },
  compass: { x: -137.98828, y: 7.16822, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 4.03169, y: -16.76411, z: 40.13021 },
  accel: { x: 0.26231, y: -1.19049, z: -0.79135 },
  compass: { x: -137.98828, y: 5.37617, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -3.79273, y: -4.80991, z: -6.61788 },
  accel: { x: 0.56347, y: -0.17357, z: -0.04421 },
  compass: { x: -136.13609, y: 3.58411, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.80269, y: 5.90765, z: 16.17602 },
  accel: { x: -0.05382, y: -1.74704, z: 0.49301 },
  compass: { x: -136.13609, y: 3.58411, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.32177, y: 6.40383, z: -0.12169 },
  accel: { x: 0.36416, y: -0.75362, z: 0.33662 },
  compass: { x: -136.13609, y: 3.58411, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -6.59426, y: 0.02979, z: 63.6722 },
  accel: { x: 0.49483, y: -0.84564, z: 0.41758 },
  compass: { x: -139.84047, y: 0, z: 38.56815 },
  dt: 13 },
{ gyro: { x: 0.42101, y: -1.93205, z: 48.93937 },
  accel: { x: 0.35732, y: -1.05294, z: 0.0755 },
  compass: { x: -136.13609, y: 3.58411, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 1.41337, y: 1.78551, z: 39.25235 },
  accel: { x: 0.37906, y: -0.96092, z: -0.00258 },
  compass: { x: -136.13609, y: 3.58411, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.13624, y: -0.13052, z: 30.93174 },
  accel: { x: 0.36563, y: -0.90732, z: 0.0325 },
  compass: { x: -137.98828, y: -3.58411, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 1.32177, y: -0.94731, z: 22.49663 },
  accel: { x: 0.3053, y: -0.96043, z: 0.00296 },
  compass: { x: -136.13609, y: -1.79206, z: 38.56815 },
  dt: 13 },
{ gyro: { x: -0.12861, y: 0.80841, z: 20.38976 },
  accel: { x: 0.31434, y: -0.95725, z: 0.00849 },
  compass: { x: -136.13609, y: -5.37617, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 1.37521, y: 1.45727, z: 25.6035 },
  accel: { x: 0.20687, y: -0.9942, z: 0.04163 },
  compass: { x: -136.13609, y: -5.37617, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.64006, y: 1.09849, z: 31.20655 },
  accel: { x: 0.2777, y: -0.94109, z: -0.02568 },
  compass: { x: -136.13609, y: -7.16822, z: 33.42573 },
  dt: 12 },
{ gyro: { x: -1.34998, y: 0.31986, z: 35.68747 },
  accel: { x: 0.36832, y: -0.92078, z: -0.00739 },
  compass: { x: -136.13609, y: -5.37617, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.2607, y: -0.61907, z: 39.84777 },
  accel: { x: 0.15704, y: -0.97683, z: 0.04667 },
  compass: { x: -136.13609, y: -5.37617, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.93777, y: 0.09849, z: 41.01571 },
  accel: { x: 0.34487, y: -0.95382, z: -0.01677 },
  compass: { x: -137.98828, y: -10.75233, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.55078, y: 0.73208, z: 37.43556 },
  accel: { x: 0.26622, y: -0.99151, z: 0.00175 },
  compass: { x: -139.84047, y: -10.75233, z: 33.42573 },
  dt: 13 },
{ gyro: { x: 2.91719, y: -2.50456, z: 40.00044 },
  accel: { x: 0.30359, y: -0.9406, z: -0.10653 },
  compass: { x: -136.13609, y: -5.37617, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.00647, y: -1.06182, z: 37.09205 },
  accel: { x: 0.26964, y: -0.99176, z: 0.10409 },
  compass: { x: -136.13609, y: -5.37617, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 2.17673, y: 3.06032, z: 26.29815 },
  accel: { x: 0.24888, y: -1.01207, z: -0.01653 },
  compass: { x: -132.43171, y: -14.33644, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.75689, y: 3.21299, z: 25.12258 },
  accel: { x: 0.28063, y: -0.98808, z: -0.05624 },
  compass: { x: -134.2839, y: -12.54439, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.09808, y: 0.11376, z: 19.88594 },
  accel: { x: 0.2374, y: -0.97193, z: 0.00224 },
  compass: { x: -137.98828, y: -14.33644, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.7851, y: -0.6725, z: 25.21418 },
  accel: { x: 0.22128, y: -0.94868, z: 0.02097 },
  compass: { x: -137.98828, y: -14.33644, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -1.16678, y: -1.49693, z: 27.54243 },
  accel: { x: 0.22397, y: -0.96606, z: 0.00729 },
  compass: { x: -139.84047, y: -16.1285, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -1.74693, y: -2.34426, z: 26.34395 },
  accel: { x: 0.24839, y: -0.99616, z: -0.00426 },
  compass: { x: -134.2839, y: -14.33644, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -2.10571, y: -0.5351, z: 17.39739 },
  accel: { x: 0.22152, y: -1.00522, z: 0.01713 },
  compass: { x: -134.2839, y: -14.33644, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.14388, y: -0.39769, z: 8.06151 },
  accel: { x: 0.21762, y: -1.00203, z: 0.01328 },
  compass: { x: -134.2839, y: -14.33644, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.29124, y: -0.16105, z: 6.20655 },
  accel: { x: 0.19905, y: -0.97462, z: 0.01424 },
  compass: { x: -134.2839, y: -16.1285, z: 35.13987 },
  dt: 19 },
{ gyro: { x: 1.2378, y: 0.00689, z: 12.17602 },
  accel: { x: 0.16217, y: -0.95969, z: 0.02385 },
  compass: { x: -134.2839, y: -16.1285, z: 35.13987 },
  dt: 49 },
{ gyro: { x: -1.05227, y: -0.26029, z: 27.27525 },
  accel: { x: 0.20736, y: -0.9805, z: 0.02794 },
  compass: { x: -136.13609, y: -17.92056, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -1.58663, y: -0.39006, z: 36.13785 },
  accel: { x: 0.13726, y: -0.96753, z: 0.00584 },
  compass: { x: -136.13609, y: -17.92056, z: 36.85401 },
  dt: 39 },
{ gyro: { x: -0.47212, y: 0.71681, z: 33.86304 },
  accel: { x: 0.18513, y: -0.99567, z: 0.0152 },
  compass: { x: -136.13609, y: -17.92056, z: 36.85401 },
  dt: 14 },
{ gyro: { x: 0.2378, y: 1.64811, z: 33.8554 },
  accel: { x: 0.15191, y: -0.98906, z: 0.00031 },
  compass: { x: -136.13609, y: -23.29672, z: 33.42573 },
  dt: 12 },
{ gyro: { x: -1.46449, y: -0.16105, z: 26.95464 },
  accel: { x: 0.18367, y: -1.02871, z: 0.02553 },
  compass: { x: -134.2839, y: -26.88083, z: 31.71159 },
  dt: 13 },
{ gyro: { x: -0.96067, y: -0.29082, z: 19.8096 },
  accel: { x: 0.13579, y: -1.01941, z: 0.01857 },
  compass: { x: -126.87513, y: -23.29672, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.04464, y: -0.13052, z: 16.25998 },
  accel: { x: 0.127, y: -0.99836, z: 0.01761 },
  compass: { x: -126.87513, y: -23.29672, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.97826, y: 0.23589, z: 16.94701 },
  accel: { x: 0.12554, y: -0.98343, z: 0.00392 },
  compass: { x: -136.13609, y: -26.88083, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.45918, y: 0.45727, z: 19.58823 },
  accel: { x: 0.13848, y: -0.98637, z: 0.00103 },
  compass: { x: -132.43171, y: -28.67289, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.1004, y: -0.08472, z: 17.51953 },
  accel: { x: 0.09427, y: -1.0128, z: 0.00536 },
  compass: { x: -132.43171, y: -28.67289, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.12861, y: -0.13815, z: 15.97754 },
  accel: { x: 0.10429, y: -0.98931, z: 0.01496 },
  compass: { x: -132.43171, y: -28.67289, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -1.02174, y: -0.37479, z: 19.37449 },
  accel: { x: 0.09867, y: -0.98221, z: 0.01304 },
  compass: { x: -132.43171, y: -26.88083, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 0.23017, y: 2.22063, z: 25.61113 },
  accel: { x: 0.09427, y: -0.9827, z: 0.04619 },
  compass: { x: -128.72732, y: -26.88083, z: 36.85401 },
  dt: 14 },
{ gyro: { x: 1.02406, y: 2.28933, z: 31.38976 },
  accel: { x: 0.0911, y: -0.9712, z: 0.02842 },
  compass: { x: -130.57951, y: -26.88083, z: 31.71159 },
  dt: 12 },
{ gyro: { x: 0.60421, y: 1.38093, z: 33.57296 },
  accel: { x: 0.06985, y: -1.00742, z: 0.0116 },
  compass: { x: -130.57951, y: -26.88083, z: 31.71159 },
  dt: 13 },
{ gyro: { x: -0.75456, y: 0.5107, z: 29.46609 },
  accel: { x: 0.09305, y: -1.00864, z: -0.00282 },
  compass: { x: -134.2839, y: -32.257, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.09808, y: -0.84044, z: 28.7409 },
  accel: { x: 0.09745, y: -1.00057, z: 0.0092 },
  compass: { x: -132.43171, y: -34.04906, z: 33.42573 },
  dt: 13 },
{ gyro: { x: -0.51792, y: -0.00838, z: 29.12258 },
  accel: { x: 0.106, y: -0.99371, z: 0.00536 },
  compass: { x: -128.72732, y: -34.04906, z: 33.42573 },
  dt: 20 },
{ gyro: { x: -0.99121, y: -1.18395, z: 30.00808 },
  accel: { x: 0.04249, y: -1.01476, z: 0.05988 },
  compass: { x: -128.72732, y: -34.04906, z: 33.42573 },
  dt: 12 },
{ gyro: { x: -0.02937, y: 0.28169, z: 22.24472 },
  accel: { x: 0.05104, y: -1.03214, z: 0.00536 },
  compass: { x: -128.72732, y: -34.04906, z: 33.42573 },
  dt: 12 },
{ gyro: { x: -0.28128, y: -0.21449, z: 14.84777 },
  accel: { x: 0.04811, y: -1.01476, z: 0.02409 },
  compass: { x: -128.72732, y: -34.04906, z: 33.42573 },
  dt: 12 },
{ gyro: { x: -0.16678, y: -0.25266, z: 13.75617 },
  accel: { x: 0.03736, y: -0.99518, z: 0.01376 },
  compass: { x: -130.57951, y: -35.84111, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.11334, y: 0.15192, z: 17.32105 },
  accel: { x: 0.03174, y: -0.99494, z: 0.0128 },
  compass: { x: -130.57951, y: -37.63317, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.08513, y: 0.00689, z: 18.51189 },
  accel: { x: 0.03174, y: -0.99959, z: 0.00729 },
  compass: { x: -130.57951, y: -37.63317, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.1004, y: -0.19159, z: 22.03098 },
  accel: { x: 0.01733, y: -0.98074, z: 0.01833 },
  compass: { x: -130.57951, y: -39.42522, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.03933, y: -1.65724, z: 19.12258 },
  accel: { x: 0.04078, y: -1.01329, z: 0.02025 },
  compass: { x: -132.43171, y: -39.42522, z: 36.85401 },
  dt: 14 },
{ gyro: { x: -0.44159, y: -0.36716, z: 19.77144 },
  accel: { x: 0.021, y: -0.99224, z: 0.0116 },
  compass: { x: -128.72732, y: -39.42522, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 1.192, y: -1.11525, z: 17.87831 },
  accel: { x: 0.02075, y: -1.02039, z: -0.02038 },
  compass: { x: -128.72732, y: -39.42522, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.11334, y: -0.36716, z: 20.35922 },
  accel: { x: 0.01685, y: -0.98613, z: 0.01064 },
  compass: { x: -125.02294, y: -41.21728, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.64769, y: 1.06795, z: 26.00808 },
  accel: { x: -0.01295, y: -0.98539, z: 0.00633 },
  compass: { x: -128.72732, y: -41.21728, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 1.57368, y: -0.19159, z: 31.54243 },
  accel: { x: -0.01222, y: -0.97193, z: -0.00017 },
  compass: { x: -130.57951, y: -35.84111, z: 33.42573 },
  dt: 12 },
{ gyro: { x: 3.37521, y: 3.13666, z: 45.03861 },
  accel: { x: -0.00367, y: -0.92739, z: -0.01244 },
  compass: { x: -130.57951, y: -35.84111, z: 33.42573 },
  dt: 12 },
{ gyro: { x: 1.2378, y: -2.27556, z: 0.6035 },
  accel: { x: -0.04335, y: -1.01403, z: -0.36881 },
  compass: { x: -130.57951, y: -35.84111, z: 33.42573 },
  dt: 12 },
{ gyro: { x: -1.54846, y: 0.02215, z: 0.55006 },
  accel: { x: -0.0066, y: -0.94036, z: 0.01472 },
  compass: { x: -128.72732, y: -46.59345, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.03933, y: -0.57327, z: 0.10731 },
  accel: { x: -0.00001, y: -1.07424, z: -0.00426 },
  compass: { x: -126.87513, y: -46.59345, z: 38.56815 },
  dt: 13 },
{ gyro: { x: -0.45685, y: -0.18395, z: 0.03861 },
  accel: { x: 0.00537, y: -1.0035, z: 0.02625 },
  compass: { x: -130.57951, y: -41.21728, z: 33.42573 },
  dt: 13 },
{ gyro: { x: -0.06754, y: -0.27556, z: 0.16838 },
  accel: { x: -0.00123, y: -1.00766, z: 0.00416 },
  compass: { x: -130.57951, y: -41.21728, z: 33.42573 },
  dt: 12 },
{ gyro: { x: -0.19731, y: 0.19773, z: 0.24472 },
  accel: { x: -0.00318, y: -0.98906, z: 0.01352 },
  compass: { x: -128.72732, y: -43.00933, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.17441, y: -0.09235, z: 0.11495 },
  accel: { x: -0.00221, y: -1.00252, z: 0.00849 },
  compass: { x: -128.72732, y: -41.21728, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -0.51029, y: -0.10762, z: 0.00808 },
  accel: { x: 0.00048, y: -1.00228, z: 0.00633 },
  compass: { x: -125.02294, y: -41.21728, z: 33.42573 },
  dt: 12 },
{ gyro: { x: -0.34998, y: 0.11376, z: 0.08441 },
  accel: { x: -0.00465, y: -0.99763, z: 0.00944 },
  compass: { x: -125.02294, y: -41.21728, z: 33.42573 },
  dt: 13 },
{ gyro: { x: -0.42632, y: -0.26792, z: 0.36685 },
  accel: { x: -0.00318, y: -1.00301, z: 0.01184 },
  compass: { x: -128.72732, y: -41.21728, z: 38.56815 },
  dt: 13 },
{ gyro: { x: -0.20495, y: 0.24353, z: 0.02334 },
  accel: { x: -0.00318, y: -0.99861, z: 0.00633 },
  compass: { x: -128.72732, y: -41.21728, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.26602, y: -0.16869, z: 0.06915 },
  accel: { x: -0.00123, y: -1.00032, z: 0.01737 },
  compass: { x: -126.87513, y: -44.80139, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 0.08513, y: -0.02365, z: 0.03861 },
  accel: { x: -0.00562, y: -1.00179, z: 0.01256 },
  compass: { x: -126.87513, y: -44.80139, z: 38.56815 },
  dt: 13 },
{ gyro: { x: -0.09044, y: 0.14429, z: -0.24383 },
  accel: { x: -0.00636, y: -0.99836, z: 0.01112 },
  compass: { x: -126.87513, y: -44.80139, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -0.36525, y: -0.23739, z: 0.07678 },
  accel: { x: -0.00098, y: -1.00497, z: 0.00777 },
  compass: { x: -130.57951, y: -46.59345, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.20495, y: -0.30609, z: 0.14548 },
  accel: { x: -0.00562, y: -1.00228, z: 0.00729 },
  compass: { x: -130.57951, y: -44.80139, z: 38.56815 },
  dt: 13 },
{ gyro: { x: -0.15151, y: 0.4878, z: 0.13021 },
  accel: { x: 0.0061, y: -1.00203, z: 0.07622 },
  compass: { x: -130.57951, y: -46.59345, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.19963, y: -0.19922, z: 0.09968 },
  accel: { x: -0.00343, y: -0.99836, z: 0.0164 },
  compass: { x: -130.57951, y: -46.59345, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.09044, y: -0.27556, z: 0.06915 },
  accel: { x: -0.00685, y: -1.00277, z: 0.01232 },
  compass: { x: -123.17075, y: -43.00933, z: 33.42573 },
  dt: 12 },
{ gyro: { x: -0.04464, y: -0.43586, z: -0.09116 },
  accel: { x: -0.0044, y: -1.00424, z: 0.0104 },
  compass: { x: -128.72732, y: -43.00933, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.28128, y: -0.21449, z: 0.03098 },
  accel: { x: -0.00269, y: -1.00057, z: 0.00512 },
  compass: { x: -128.72732, y: -43.00933, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.19963, y: -0.43586, z: 0.15311 },
  accel: { x: -0.00221, y: -1.00448, z: 0.0128 },
  compass: { x: -128.72732, y: -43.00933, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.12861, y: -0.09998, z: -0.05299 },
  accel: { x: -0.00367, y: -1.0013, z: 0.00753 },
  compass: { x: -125.02294, y: -41.21728, z: 38.56815 },
  dt: 13 },
{ gyro: { x: -0.02937, y: -0.39006, z: 0.06915 },
  accel: { x: -0.00538, y: -1.00228, z: 0.01256 },
  compass: { x: -125.02294, y: -43.00933, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.192, y: -0.29846, z: 0.22945 },
  accel: { x: -0.00489, y: -1.00326, z: 0.01064 },
  compass: { x: -125.02294, y: -43.00933, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.28128, y: -0.71831, z: -0.12933 },
  accel: { x: -0.00294, y: -1.00203, z: 0.00488 },
  compass: { x: -125.02294, y: -43.00933, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.63475, y: -1.03128, z: 0.06915 },
  accel: { x: 0.0017, y: -1.0062, z: 0.02986 },
  compass: { x: -126.87513, y: -44.80139, z: 38.56815 },
  dt: 13 },
{ gyro: { x: -0.36525, y: -0.06182, z: -0.2362 },
  accel: { x: -0.00416, y: -1.00228, z: 0.00896 },
  compass: { x: -126.87513, y: -43.00933, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.00116, y: 0.02215, z: -0.03009 },
  accel: { x: -0.00562, y: -1.00375, z: 0.01232 },
  compass: { x: -126.87513, y: -43.00933, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.12861, y: -0.24502, z: 0.03861 },
  accel: { x: -0.00538, y: -1.00106, z: 0.01568 },
  compass: { x: -126.87513, y: -43.00933, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.07518, y: -0.27556, z: 0.09968 },
  accel: { x: -0.0044, y: -1.00644, z: 0.01352 },
  compass: { x: -130.57951, y: -43.00933, z: 31.71159 },
  dt: 13 },
{ gyro: { x: -0.15151, y: -0.34426, z: 0.73327 },
  accel: { x: -0.00221, y: -1.00693, z: 0.00705 },
  compass: { x: -128.72732, y: -43.00933, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.06223, y: -0.16105, z: 1.40502 },
  accel: { x: -0.00416, y: -1.01941, z: 0.01472 },
  compass: { x: -126.87513, y: -43.00933, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 0.36757, y: 0.90002, z: 17.89357 },
  accel: { x: 0.00317, y: -1.08549, z: 0.00873 },
  compass: { x: -126.87513, y: -43.00933, z: 38.56815 },
  dt: 13 },
{ gyro: { x: -0.02174, y: -1.84044, z: 26.35922 },
  accel: { x: 0.03199, y: -1.1528, z: -0.01317 },
  compass: { x: -128.72732, y: -44.80139, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -1.22021, y: -1.49693, z: 19.59586 },
  accel: { x: -0.05577, y: -0.84344, z: -0.0969 },
  compass: { x: -128.72732, y: -44.80139, z: 33.42573 },
  dt: 12 },
{ gyro: { x: 0.90956, y: 0.80841, z: 21.25998 },
  accel: { x: -0.01002, y: -1.08354, z: 0.04187 },
  compass: { x: -128.72732, y: -41.21728, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.24544, y: -1.04655, z: 25.6493 },
  accel: { x: -0.02387, y: -0.98637, z: -0.06177 },
  compass: { x: -128.72732, y: -41.21728, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.22253, y: 0.05269, z: 26.57296 },
  accel: { x: -0.00709, y: -1.07717, z: 0.0815 },
  compass: { x: -125.02294, y: -48.3855, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.11566, y: 1.79315, z: 28.71037 },
  accel: { x: -0.03288, y: -1.05833, z: -0.00715 },
  compass: { x: -123.17075, y: -50.17756, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.05227, y: 1.06795, z: 32.61113 },
  accel: { x: -0.01632, y: -1.11682, z: -0.02279 },
  compass: { x: -125.02294, y: -50.17756, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.44391, y: -1.36716, z: 31.51189 },
  accel: { x: -0.05211, y: -1.07791, z: -0.03121 },
  compass: { x: -125.02294, y: -50.17756, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 2.35994, y: 5.11376, z: 36.48136 },
  accel: { x: -0.05138, y: -0.95406, z: 0.11586 },
  compass: { x: -125.02294, y: -50.17756, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 1.38284, y: 2.3046, z: 35.11495 },
  accel: { x: -0.04189, y: -0.94623, z: 0.06493 },
  compass: { x: -123.17075, y: -53.76167, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -1.68586, y: 1.54124, z: 46.80197 },
  accel: { x: -0.02533, y: -1.3393, z: -0.00426 },
  compass: { x: -125.02294, y: -55.55372, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -1.65533, y: 1.3962, z: 58.46609 },
  accel: { x: -0.05942, y: -0.86253, z: 0.32173 },
  compass: { x: -125.02294, y: -55.55372, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 1.00879, y: 3.66337, z: 55.08441 },
  accel: { x: -0.05187, y: -1.12735, z: 0.00801 },
  compass: { x: -125.02294, y: -55.55372, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 1.51261, y: 6.34276, z: 55.67983 },
  accel: { x: -0.20381, y: -1.12416, z: -0.38277 },
  compass: { x: -121.31856, y: -55.55372, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -3.72403, y: -8.59617, z: 59.34395 },
  accel: { x: -0.12419, y: -1.01452, z: -0.23334 },
  compass: { x: -119.46636, y: -57.34578, z: 38.56815 },
  dt: 13 },
{ gyro: { x: 1.86376, y: 2.5336, z: 45.87831 },
  accel: { x: -0.12224, y: -0.98466, z: -0.15273 },
  compass: { x: -119.46636, y: -57.34578, z: 38.56815 },
  dt: 13 },
{ gyro: { x: 0.41337, y: 1.70918, z: 45.35922 },
  accel: { x: -0.09545, y: -1.1156, z: -0.03723 },
  compass: { x: -119.46636, y: -57.34578, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -1.34235, y: -4.25266, z: 54.70273 },
  accel: { x: -0.15121, y: -0.70491, z: 0.56147 },
  compass: { x: -119.46636, y: -64.514, z: 40.28229 },
  dt: 12 },
{ gyro: { x: 3.79505, y: 0.64047, z: 39.42792 },
  accel: { x: -0.18847, y: -0.80746, z: -0.10003 },
  compass: { x: -119.46636, y: -64.514, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 1.87139, y: 1.3733, z: 36.58823 },
  accel: { x: -0.16047, y: -1.16455, z: -0.05263 },
  compass: { x: -115.76198, y: -64.514, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.01411, y: -2.74884, z: 49.92411 },
  accel: { x: -0.21744, y: -1.03459, z: -0.22516 },
  compass: { x: -115.76198, y: -64.514, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -3.40342, y: 1.96108, z: 48.6035 },
  accel: { x: -0.20356, y: -1.14741, z: -0.03699 },
  compass: { x: -117.61417, y: -68.09811, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -1.65533, y: 16.18246, z: 67.52716 },
  accel: { x: -0.17678, y: -0.93718, z: 0.31356 },
  compass: { x: -112.0576, y: -69.89017, z: 36.85401 },
  dt: 32 },
{ gyro: { x: 2.66528, y: -5.09235, z: 68.93937 },
  accel: { x: -0.25397, y: -0.92861, z: -0.48167 },
  compass: { x: -113.90979, y: -69.89017, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.90192, y: 1.56414, z: 58.00808 },
  accel: { x: -0.2508, y: -0.77711, z: 0.29795 },
  compass: { x: -112.0576, y: -77.05839, z: 33.42573 },
  dt: 26 },
{ gyro: { x: 5.77979, y: 15.48017, z: 51.18365 },
  accel: { x: -0.16607, y: -0.57813, z: 0.81226 },
  compass: { x: -108.35321, y: -73.47428, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.9225, y: 3.11376, z: 27.54243 },
  accel: { x: -0.3051, y: -0.94452, z: -0.11254 },
  compass: { x: -104.64883, y: -78.85045, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 3.29124, y: 0.43437, z: 35.51953 },
  accel: { x: -0.22304, y: -0.7262, z: 0.41998 },
  compass: { x: -104.64883, y: -78.85045, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.06223, y: -3.29082, z: 24.6493 },
  accel: { x: -0.32872, y: -1.31751, z: -0.32863 },
  compass: { x: -104.64883, y: -78.85045, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 1.87902, y: 5.57177, z: 51.51953 },
  accel: { x: -0.14269, y: -0.55635, z: 0.83004 },
  compass: { x: -100.94445, y: -78.85045, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 6.90956, y: 10.89238, z: 56.11495 },
  accel: { x: -0.23181, y: -0.58572, z: 0.40412 },
  compass: { x: -100.94445, y: -82.43456, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.90192, y: -4.20685, z: 45.93937 },
  accel: { x: -0.40176, y: -1.21594, z: -0.63013 },
  compass: { x: -100.94445, y: -82.43456, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 3.42101, y: -2.21449, z: 65.42792 },
  accel: { x: -0.38764, y: -0.77148, z: -0.19388 },
  compass: { x: -100.94445, y: -82.43456, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 1.84085, y: -5.5122, z: 68.35922 },
  accel: { x: -0.37717, y: -0.92421, z: -0.04974 },
  compass: { x: -100.94445, y: -84.22661, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 2.90956, y: 8.93055, z: 43.06915 },
  accel: { x: -0.26371, y: -0.08423, z: 0.42598 },
  compass: { x: -97.24006, y: -84.22661, z: 40.28229 },
  dt: 12 },
{ gyro: { x: -0.20495, y: -5.70304, z: 61.48136 },
  accel: { x: -0.20819, y: -1.05221, z: 0.55907 },
  compass: { x: -99.09226, y: -86.01867, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.76983, y: 4.28933, z: 73.09205 },
  accel: { x: -0.38886, y: -1.16528, z: 0.06637 },
  compass: { x: -99.09226, y: -86.01867, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.8767, y: 5.20536, z: 57.89357 },
  accel: { x: -0.44364, y: -0.60652, z: 0.00079 },
  compass: { x: -99.09226, y: -86.01867, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.19963, y: -0.87098, z: 41.61113 },
  accel: { x: -0.40152, y: -0.8197, z: 0.05556 },
  compass: { x: -93.53568, y: -93.18689, z: 38.56815 },
  dt: 13 },
{ gyro: { x: -1.03701, y: -2.63434, z: 47.96227 },
  accel: { x: -0.41223, y: -0.92102, z: -0.06442 },
  compass: { x: -95.38787, y: -93.18689, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 1.38284, y: -2.03892, z: 42.09968 },
  accel: { x: -0.40931, y: -0.61533, z: 0.12955 },
  compass: { x: -95.38787, y: -93.18689, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.03933, y: 1.08322, z: 7.32869 },
  accel: { x: -0.46239, y: -0.66428, z: 0.04691 },
  compass: { x: -95.38787, y: -93.18689, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.04464, y: 0.29696, z: 4.31342 },
  accel: { x: -0.43658, y: -0.90756, z: 0.01929 },
  compass: { x: -89.8313, y: -91.39484, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -0.14388, y: -0.32136, z: 3.32105 },
  accel: { x: -0.45095, y: -0.85739, z: 0.0044 },
  compass: { x: -93.53568, y: -93.18689, z: 40.28229 },
  dt: 12 },
{ gyro: { x: -0.18968, y: -0.57327, z: 1.36685 },
  accel: { x: -0.44316, y: -0.89043, z: 0.00873 },
  compass: { x: -95.38787, y: -91.39484, z: 40.28229 },
  dt: 13 },
{ gyro: { x: -0.25838, y: -0.82518, z: 0.7638 },
  accel: { x: -0.44559, y: -0.89802, z: 0.00296 },
  compass: { x: -95.38787, y: -91.39484, z: 40.28229 },
  dt: 12 },
{ gyro: { x: -0.12861, y: 0.24353, z: 0.67983 },
  accel: { x: -0.43975, y: -0.90022, z: 0.01544 },
  compass: { x: -95.38787, y: -91.39484, z: 40.28229 },
  dt: 13 },
{ gyro: { x: -0.02174, y: -0.03892, z: 1.20655 },
  accel: { x: -0.43926, y: -0.90609, z: 0.00705 },
  compass: { x: -91.68349, y: -93.18689, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.11566, y: 0.05269, z: 2.6951 },
  accel: { x: -0.43609, y: -0.92983, z: 0.00657 },
  compass: { x: -93.53568, y: -93.18689, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.65002, y: 0.86185, z: 8.48136 },
  accel: { x: -0.42611, y: -1.00815, z: 0.03274 },
  compass: { x: -93.53568, y: -93.18689, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.71108, y: 2.11376, z: 26.17602 },
  accel: { x: -0.40371, y: -1.18462, z: 0.01833 },
  compass: { x: -93.53568, y: -93.18689, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.7164, y: 3.10612, z: 53.68747 },
  accel: { x: -0.41954, y: -1.1249, z: 0.06589 },
  compass: { x: -89.8313, y: -93.18689, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.85612, y: 3.98398, z: 43.51189 },
  accel: { x: -0.55857, y: -0.82998, z: 0.20042 },
  compass: { x: -91.68349, y: -93.18689, z: 40.28229 },
  dt: 12 },
{ gyro: { x: -1.04464, y: -6.15342, z: 59.43556 },
  accel: { x: -0.45655, y: -1.22989, z: -0.33031 },
  compass: { x: -91.68349, y: -94.97895, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -3.93777, y: 8.00689, z: 63.99281 },
  accel: { x: -0.3986, y: -0.69341, z: 0.46586 },
  compass: { x: -91.68349, y: -94.97895, z: 38.56815 },
  dt: 13 },
{ gyro: { x: -6.41105, y: 0.54887, z: 46.6722 },
  accel: { x: -0.50792, y: -0.60187, z: 0.27176 },
  compass: { x: -91.68349, y: -94.97895, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 0.11566, y: -1.36716, z: 58.8096 },
  accel: { x: -0.43561, y: -0.78666, z: 0.29602 },
  compass: { x: -84.27472, y: -100.35511, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.62711, y: 0.59467, z: 41.718 },
  accel: { x: -0.48431, y: -0.36129, z: 0.17855 },
  compass: { x: -84.27472, y: -96.771, z: 40.28229 },
  dt: 13 },
{ gyro: { x: 0.61948, y: 2.84658, z: 15.50426 },
  accel: { x: -0.51158, y: -0.7103, z: 0.05196 },
  compass: { x: -82.42253, y: -96.771, z: 40.28229 },
  dt: 12 },
{ gyro: { x: -1.75456, y: -1.29082, z: 25.73327 },
  accel: { x: -0.53446, y: -1.20297, z: -0.15706 },
  compass: { x: -82.42253, y: -96.771, z: 40.28229 },
  dt: 12 },
{ gyro: { x: 1.73398, y: 0.3733, z: 15.30579 },
  accel: { x: -0.51425, y: -0.60922, z: 0.00681 },
  compass: { x: -82.42253, y: -96.771, z: 40.28229 },
  dt: 13 },
{ gyro: { x: -0.27365, y: -0.22212, z: 19.48136 },
  accel: { x: -0.52424, y: -0.98906, z: -0.00378 },
  compass: { x: -80.57034, y: -100.35511, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 1.35994, y: 2.64047, z: 29.09205 },
  accel: { x: -0.51547, y: -0.6239, z: 0.05484 },
  compass: { x: -84.27472, y: -100.35511, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 4.79505, y: 0.14429, z: 34.96991 },
  accel: { x: -0.48601, y: -0.95039, z: 0.21291 },
  compass: { x: -82.42253, y: -100.35511, z: 38.56815 },
  dt: 13 },
{ gyro: { x: 2.61948, y: 1.24353, z: 31.84014 },
  accel: { x: -0.56758, y: -0.57055, z: -0.05118 },
  compass: { x: -76.86596, y: -105.73128, z: 36.85401 },
  dt: 120 },
{ gyro: { x: -4.03701, y: -5.5809, z: 27.22945 },
  accel: { x: -0.6713, y: -1.1785, z: -0.16741 },
  compass: { x: -76.86596, y: -105.73128, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.88434, y: 4.10612, z: 25.05388 },
  accel: { x: -0.53958, y: -0.73648, z: 0.32245 },
  compass: { x: -76.86596, y: -105.73128, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.97826, y: -1.31373, z: 10.51189 },
  accel: { x: -0.62723, y: -0.59869, z: -0.11567 },
  compass: { x: -76.86596, y: -105.73128, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 0.1691, y: -0.40533, z: 6.86304 },
  accel: { x: -0.60848, y: -0.78935, z: -0.0199 },
  compass: { x: -69.45719, y: -109.31539, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 0.61948, y: -0.03892, z: 4.93937 },
  accel: { x: -0.60751, y: -0.7754, z: 0.00151 },
  compass: { x: -75.01376, y: -109.31539, z: 38.56815 },
  dt: 13 },
{ gyro: { x: -0.17441, y: 0.08322, z: 1.54243 },
  accel: { x: -0.61676, y: -0.74897, z: 0.00944 },
  compass: { x: -75.01376, y: -109.31539, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 0.0775, y: -0.32136, z: 0.68747 },
  accel: { x: -0.60775, y: -0.79033, z: 0.00488 },
  compass: { x: -75.01376, y: -109.31539, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 0.10803, y: -0.27556, z: 0.06151 },
  accel: { x: -0.60995, y: -0.78666, z: 0.00681 },
  compass: { x: -71.30938, y: -109.31539, z: 38.56815 },
  dt: 13 },
{ gyro: { x: 0.0546, y: -0.20685, z: 0.05388 },
  accel: { x: -0.60727, y: -0.79718, z: 0.00705 },
  compass: { x: -73.16157, y: -109.31539, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.23548, y: -0.07708, z: -0.15986 },
  accel: { x: -0.60459, y: -0.80232, z: 0.00609 },
  compass: { x: -73.16157, y: -111.10745, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 0.06223, y: -0.24502, z: -0.51101 },
  accel: { x: -0.60727, y: -0.79547, z: 0.0116 },
  compass: { x: -73.16157, y: -111.10745, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 0.03169, y: -0.16869, z: 0.02334 },
  accel: { x: -0.61068, y: -0.79889, z: 0.0092 },
  compass: { x: -73.16157, y: -111.10745, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 0.02406, y: -0.22212, z: 0.06151 },
  accel: { x: -0.60751, y: -0.79816, z: 0.00849 },
  compass: { x: -73.16157, y: -102.14717, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -0.23548, y: -0.29846, z: 0.25235 },
  accel: { x: -0.60873, y: -0.79889, z: 0.00944 },
  compass: { x: -71.30938, y: -107.52334, z: 40.28229 },
  dt: 12 },
{ gyro: { x: 0.02406, y: -0.10762, z: -0.25147 },
  accel: { x: -0.60897, y: -0.79498, z: 0.0128 },
  compass: { x: -73.16157, y: -109.31539, z: 40.28229 },
  dt: 12 },
{ gyro: { x: -0.12098, y: -0.41296, z: -0.03773 },
  accel: { x: -0.60581, y: -0.79645, z: 0.00777 },
  compass: { x: -73.16157, y: -109.31539, z: 40.28229 },
  dt: 13 },
{ gyro: { x: -0.45685, y: -0.35189, z: 0.01571 },
  accel: { x: -0.60678, y: -0.79596, z: 0.00849 },
  compass: { x: -73.16157, y: -109.31539, z: 40.28229 },
  dt: 12 },
{ gyro: { x: -0.03701, y: -0.17632, z: -0.12169 },
  accel: { x: -0.60654, y: -0.79963, z: 0.00801 },
  compass: { x: -69.45719, y: -109.31539, z: 40.28229 },
  dt: 12 },
{ gyro: { x: -0.09808, y: -0.14579, z: -0.10643 },
  accel: { x: -0.60848, y: -0.79743, z: 0.01064 },
  compass: { x: -69.45719, y: -109.31539, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -0.08281, y: -0.32899, z: 0.02334 },
  accel: { x: -0.60873, y: -0.80232, z: 0.01208 },
  compass: { x: -71.30938, y: -109.31539, z: 41.99643 },
  dt: 12 },
{ gyro: { x: -0.24311, y: -0.39006, z: -0.20566 },
  accel: { x: -0.60824, y: -0.80599, z: 0.00849 },
  compass: { x: -71.30938, y: -109.31539, z: 41.99643 },
  dt: 12 },
{ gyro: { x: -0.21258, y: -0.26792, z: 0.21418 },
  accel: { x: -0.60678, y: -0.80036, z: 0.0104 },
  compass: { x: -71.30938, y: -109.31539, z: 41.99643 },
  dt: 12 },
{ gyro: { x: 0.04696, y: -0.22212, z: 0.01571 },
  accel: { x: -0.60435, y: -0.79473, z: 0.00416 },
  compass: { x: -71.30938, y: -109.31539, z: 43.71057 },
  dt: 13 },
{ gyro: { x: -0.08281, y: -0.33663, z: -0.05299 },
  accel: { x: -0.61335, y: -0.79596, z: 0.00584 },
  compass: { x: -69.45719, y: -111.10745, z: 40.28229 },
  dt: 12 },
{ gyro: { x: -0.10571, y: 0.05269, z: -0.02246 },
  accel: { x: -0.60605, y: -0.80012, z: 0.00849 },
  compass: { x: -73.16157, y: -107.52334, z: 38.56815 },
  dt: 13 },
{ gyro: { x: -0.04464, y: -0.13815, z: 0.06151 },
  accel: { x: -0.60508, y: -0.80257, z: 0.0056 },
  compass: { x: -73.16157, y: -107.52334, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -0.01411, y: -0.36716, z: 0.10731 },
  accel: { x: -0.608, y: -0.80306, z: 0.00079 },
  compass: { x: -76.86596, y: -109.31539, z: 40.28229 },
  dt: 13 },
{ gyro: { x: -0.37289, y: -0.17632, z: -0.09116 },
  accel: { x: -0.60629, y: -0.79865, z: 0.00368 },
  compass: { x: -71.30938, y: -107.52334, z: 40.28229 },
  dt: 12 },
{ gyro: { x: -0.39579, y: -0.27556, z: -0.86215 },
  accel: { x: -0.60897, y: -0.78396, z: 0.00488 },
  compass: { x: -69.45719, y: -105.73128, z: 40.28229 },
  dt: 13 },
{ gyro: { x: 0.10803, y: -0.26792, z: -0.93085 },
  accel: { x: -0.60702, y: -0.80966, z: 0.0092 },
  compass: { x: -69.45719, y: -105.73128, z: 40.28229 },
  dt: 13 },
{ gyro: { x: 0.20727, y: -0.22976, z: 0.02334 },
  accel: { x: -0.60727, y: -0.80159, z: 0.00873 },
  compass: { x: -69.45719, y: -105.73128, z: 40.28229 },
  dt: 12 },
{ gyro: { x: 0.06223, y: -0.30609, z: 0.16075 },
  accel: { x: -0.61116, y: -0.79473, z: 0.00488 },
  compass: { x: -73.16157, y: -109.31539, z: 40.28229 },
  dt: 13 },
{ gyro: { x: 0.02406, y: 0.15192, z: -0.10643 },
  accel: { x: -0.60556, y: -0.80036, z: 0.00103 },
  compass: { x: -69.45719, y: -107.52334, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 0.0546, y: 0.06795, z: -0.11406 },
  accel: { x: -0.608, y: -0.80036, z: 0.00944 },
  compass: { x: -69.45719, y: -107.52334, z: 40.28229 },
  dt: 13 },
{ gyro: { x: 0.03933, y: -0.28319, z: -0.09879 },
  accel: { x: -0.61043, y: -0.79865, z: 0.0056 },
  compass: { x: -69.45719, y: -107.52334, z: 40.28229 },
  dt: 12 },
{ gyro: { x: -0.05227, y: 0.09085, z: -0.69421 },
  accel: { x: -0.60824, y: -0.79375, z: 0.00416 },
  compass: { x: -75.01376, y: -105.73128, z: 38.56815 },
  dt: 13 },
{ gyro: { x: -0.09044, y: -0.22212, z: -1.54918 },
  accel: { x: -0.61287, y: -0.77246, z: 0.00175 },
  compass: { x: -69.45719, y: -107.52334, z: 40.28229 },
  dt: 12 },
{ gyro: { x: -0.41869, y: -0.24502, z: -2.08353 },
  accel: { x: -0.60337, y: -0.84417, z: 0.0032 },
  compass: { x: -73.16157, y: -109.31539, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.22021, y: -0.13815, z: -0.41177 },
  accel: { x: -0.60654, y: -0.81138, z: 0.00992 },
  compass: { x: -73.16157, y: -109.31539, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.18205, y: -0.32136, z: -0.38124 },
  accel: { x: -0.60775, y: -0.79938, z: 0.0056 },
  compass: { x: -73.16157, y: -109.31539, z: 38.56815 },
  dt: 13 },
{ gyro: { x: -0.44159, y: -0.04655, z: -1.51101 },
  accel: { x: -0.61238, y: -0.76977, z: 0.01016 },
  compass: { x: -73.16157, y: -107.52334, z: 41.99643 },
  dt: 12 },
{ gyro: { x: -0.31182, y: -0.6954, z: -8.27437 },
  accel: { x: -0.6321, y: -0.6846, z: 0.00392 },
  compass: { x: -69.45719, y: -109.31539, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -1.15151, y: -1.88624, z: -35.80872 },
  accel: { x: -0.67739, y: -0.44989, z: 0.01833 },
  compass: { x: -69.45719, y: -109.31539, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 1.84085, y: -3.33663, z: -60.31253 },
  accel: { x: -0.3835, y: -0.38919, z: -0.10051 },
  compass: { x: -69.45719, y: -109.31539, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.07518, y: -0.96258, z: -40.57971 },
  accel: { x: -0.52692, y: -0.55782, z: -0.00474 },
  compass: { x: -78.71815, y: -103.93922, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 0.61948, y: 2.28933, z: -54.33544 },
  accel: { x: -0.49697, y: -0.53212, z: 0.07718 },
  compass: { x: -75.01376, y: -102.14717, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.47976, y: -3.98548, z: -64.64078 },
  accel: { x: -0.6584, y: -0.97634, z: -0.14695 },
  compass: { x: -75.01376, y: -105.73128, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.09044, y: 3.38856, z: -34.44231 },
  accel: { x: -0.53982, y: -1.09626, z: 0.13676 },
  compass: { x: -75.01376, y: -105.73128, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.42864, y: -1.4435, z: -39.97666 },
  accel: { x: -0.49599, y: -0.74872, z: -0.01317 },
  compass: { x: -75.01376, y: -105.73128, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.64006, y: -1.77174, z: -28.09116 },
  accel: { x: -0.53933, y: -1.05245, z: 0.0128 },
  compass: { x: -80.57034, y: -103.93922, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -0.04464, y: -0.06945, z: -19.3049 },
  accel: { x: -0.53617, y: -0.82949, z: 0.01568 },
  compass: { x: -80.57034, y: -102.14717, z: 41.99643 },
  dt: 12 },
{ gyro: { x: -0.26602, y: -0.09235, z: -20.59498 },
  accel: { x: -0.52984, y: -0.85568, z: 0.00151 },
  compass: { x: -76.86596, y: -102.14717, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -0.37289, y: -0.20685, z: -22.96139 },
  accel: { x: -0.53422, y: -0.83169, z: 0.00657 },
  compass: { x: -76.86596, y: -102.14717, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -1.12098, y: -2.08472, z: -33.1446 },
  accel: { x: -0.5744, y: -0.57838, z: -0.05503 },
  compass: { x: -76.86596, y: -102.14717, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 0.00116, y: 2.72444, z: -40.25147 },
  accel: { x: -0.51133, y: -0.82606, z: 0.00464 },
  compass: { x: -84.27472, y: -98.56306, z: 40.28229 },
  dt: 13 },
{ gyro: { x: -0.11334, y: -2.27556, z: -48.04536 },
  accel: { x: -0.49892, y: -0.74897, z: 0.0964 },
  compass: { x: -80.57034, y: -98.56306, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.9225, y: -16.34426, z: -75.1446 },
  accel: { x: -0.48333, y: -0.43275, z: -0.34475 },
  compass: { x: -87.97911, y: -100.35511, z: 41.99643 },
  dt: 12 },
{ gyro: { x: -1.40342, y: 15.5107, z: -63.07589 },
  accel: { x: -0.0733, y: -0.65278, z: 0.26936 },
  compass: { x: -86.12691, y: -98.56306, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -1.808, y: 2.52597, z: -64.3049 },
  accel: { x: -0.50305, y: -1.05123, z: 0.09304 },
  compass: { x: -86.12691, y: -98.56306, z: 38.56815 },
  dt: 13 },
{ gyro: { x: -2.51792, y: -3.85571, z: -63.95376 },
  accel: { x: -0.42928, y: -0.7869, z: -0.13204 },
  compass: { x: -86.12691, y: -94.97895, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -0.41869, y: -2.99311, z: -51.4194 },
  accel: { x: -0.41686, y: -1.03508, z: -0.07116 },
  compass: { x: -93.53568, y: -93.18689, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.00647, y: 0.15192, z: -39.47284 },
  accel: { x: -0.39884, y: -1.05931, z: 0.10841 },
  compass: { x: -89.8313, y: -93.18689, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 3.29887, y: -2.08472, z: -28.52627 },
  accel: { x: -0.4753, y: -0.9849, z: -0.08608 },
  compass: { x: -89.8313, y: -93.18689, z: 38.56815 },
  dt: 13 },
{ gyro: { x: -0.13624, y: 0.76261, z: -11.18276 },
  accel: { x: -0.41491, y: -1.01403, z: 0.00968 },
  compass: { x: -93.53568, y: -91.39484, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -0.27365, y: -1.29082, z: -7.2591 },
  accel: { x: -0.43609, y: -0.90658, z: -0.0175 },
  compass: { x: -93.53568, y: -94.97895, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.16147, y: -0.77174, z: -6.12933 },
  accel: { x: -0.41832, y: -0.94158, z: 0.00609 },
  compass: { x: -97.24006, y: -91.39484, z: 41.99643 },
  dt: 12 },
{ gyro: { x: 0.25307, y: 0.67864, z: -6.1904 },
  accel: { x: -0.44096, y: -0.87526, z: 0.03682 },
  compass: { x: -97.24006, y: -91.39484, z: 41.99643 },
  dt: 13 },
{ gyro: { x: -0.11334, y: -0.20685, z: -12.71711 },
  accel: { x: -0.46385, y: -0.7661, z: -0.0033 },
  compass: { x: -97.24006, y: -91.39484, z: 41.99643 },
  dt: 12 },
{ gyro: { x: -1.53319, y: -0.97785, z: -27.93085 },
  accel: { x: -0.4283, y: -0.6031, z: -0.03242 },
  compass: { x: -95.38787, y: -89.60278, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -2.09044, y: -1.90151, z: -37.61788 },
  accel: { x: -0.47724, y: -1.08305, z: 0.03202 },
  compass: { x: -93.53568, y: -93.18689, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -4.13624, y: 2.23589, z: -35.24383 },
  accel: { x: -0.40517, y: -0.79057, z: 0.05964 },
  compass: { x: -95.38787, y: -87.81072, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 1.96299, y: -1.93205, z: -36.03773 },
  accel: { x: -0.40371, y: -0.3772, z: -0.40009 },
  compass: { x: -95.38787, y: -87.81072, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 6.53551, y: 2.66337, z: -18.56444 },
  accel: { x: -0.37547, y: -1.35667, z: 0.02649 },
  compass: { x: -97.24006, y: -91.39484, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 1.10803, y: 1.81605, z: -14.93085 },
  accel: { x: -0.38667, y: -1.03801, z: -0.07501 },
  compass: { x: -95.38787, y: -87.81072, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.22785, y: -0.16869, z: -12.10643 },
  accel: { x: -0.3762, y: -0.95455, z: 0.01424 },
  compass: { x: -97.24006, y: -86.01867, z: 38.56815 },
  dt: 13 },
{ gyro: { x: 0.22253, y: 0.59467, z: -10.42704 },
  accel: { x: -0.3426, y: -1.05417, z: -0.00835 },
  compass: { x: -97.24006, y: -86.01867, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 0.1233, y: 0.28169, z: -10.86215 },
  accel: { x: -0.39446, y: -0.88137, z: 0.00536 },
  compass: { x: -97.24006, y: -87.81072, z: 38.56815 },
  dt: 13 },
{ gyro: { x: -0.52556, y: -0.15342, z: -23.24383 },
  accel: { x: -0.37961, y: -0.68484, z: 0.00896 },
  compass: { x: -104.64883, y: -87.81072, z: 40.28229 },
  dt: 12 },
{ gyro: { x: 0.87139, y: -0.12289, z: -40.59498 },
  accel: { x: -0.39081, y: -0.71446, z: 0.09568 },
  compass: { x: -97.24006, y: -89.60278, z: 38.56815 },
  dt: 13 },
{ gyro: { x: -1.00647, y: -3.50456, z: -36.59498 },
  accel: { x: -0.37839, y: -0.86302, z: -0.0957 },
  compass: { x: -97.24006, y: -89.60278, z: 38.56815 },
  dt: 11 },
{ gyro: { x: 0.59658, y: -1.03128, z: -43.22856 },
  accel: { x: -0.32312, y: -0.63712, z: -0.06057 },
  compass: { x: -97.24006, y: -89.60278, z: 38.56815 },
  dt: 13 },
{ gyro: { x: 0.69582, y: -11.26792, z: -73.32017 },
  accel: { x: -0.41467, y: -0.52258, z: -0.31106 },
  compass: { x: -99.09226, y: -80.6425, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 6.0546, y: 18.58704, z: -69.11406 },
  accel: { x: -0.6489, y: -1.96707, z: 1.20719 },
  compass: { x: -102.79664, y: -87.81072, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -2.61716, y: -7.33663, z: -87.11406 },
  accel: { x: -0.00611, y: 0.29089, z: -0.95763 },
  compass: { x: -102.79664, y: -78.85045, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.79273, y: -17.87861, z: -83.12169 },
  accel: { x: -0.15876, y: -0.53261, z: -0.27064 },
  compass: { x: -102.79664, y: -78.85045, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -2.26602, y: 4.06795, z: -57.80108 },
  accel: { x: -0.32896, y: -0.96092, z: 0.24486 },
  compass: { x: -104.64883, y: -73.47428, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 1.19963, y: -6.35189, z: -48.46521 },
  accel: { x: -0.51377, y: -2.01211, z: 1.58938 },
  compass: { x: -108.35321, y: -77.05839, z: 38.56815 },
  dt: 13 },
{ gyro: { x: 3.0546, y: 15.54887, z: -42.36597 },
  accel: { x: -0.33115, y: -1.6068, z: 0.55763 },
  compass: { x: -112.0576, y: -73.47428, z: 40.28229 },
  dt: 12 },
{ gyro: { x: -5.56373, y: -12.04655, z: -52.36597 },
  accel: { x: -0.1086, y: -0.75043, z: -0.14695 },
  compass: { x: -112.0576, y: -73.47428, z: 40.28229 },
  dt: 13 },
{ gyro: { x: -4.21258, y: 17.47253, z: -42.38124 },
  accel: { x: -0.21038, y: -1.24262, z: 0.99027 },
  compass: { x: -112.0576, y: -73.47428, z: 40.28229 },
  dt: 12 },
{ gyro: { x: -3.68586, y: -7.26792, z: -72.42704 },
  accel: { x: -0.31946, y: -1.73823, z: 0.30131 },
  compass: { x: -113.90979, y: -68.09811, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -1.59426, y: -0.18395, z: -56.63315 },
  accel: { x: -0.17581, y: -0.97511, z: -0.05696 },
  compass: { x: -113.90979, y: -71.68222, z: 33.42573 },
  dt: 12 },
{ gyro: { x: 1.72635, y: -7.51983, z: -50.34307 },
  accel: { x: -0.27296, y: -1.26587, z: 0.23188 },
  compass: { x: -115.76198, y: -69.89017, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.28892, y: 2.56414, z: -28.85452 },
  accel: { x: -0.15779, y: -1.23185, z: 0.05172 },
  compass: { x: -115.76198, y: -69.89017, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.71872, y: 1.25879, z: -19.64841 },
  accel: { x: -0.21817, y: -1.02994, z: -0.00186 },
  compass: { x: -115.76198, y: -69.89017, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.52024, y: -1.06182, z: -18.56444 },
  accel: { x: -0.17532, y: -1.01966, z: -0.01004 },
  compass: { x: -113.90979, y: -68.09811, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.28892, y: -0.87098, z: -10.86979 },
  accel: { x: -0.16777, y: -1.0691, z: 0.0349 },
  compass: { x: -113.90979, y: -66.30606, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.54846, y: -0.91678, z: -15.99192 },
  accel: { x: -0.18871, y: -0.88186, z: 0.03995 },
  compass: { x: -117.61417, y: -66.30606, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -1.72403, y: -1.6038, z: -28.10643 },
  accel: { x: -0.15876, y: -0.67701, z: -0.01509 },
  compass: { x: -117.61417, y: -66.30606, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.03169, y: 2.3275, z: -28.80872 },
  accel: { x: -0.16144, y: -0.86596, z: -0.01533 },
  compass: { x: -117.61417, y: -66.30606, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.65533, y: -2.21449, z: -30.42704 },
  accel: { x: -0.15876, y: -0.8476, z: 0.00272 },
  compass: { x: -115.76198, y: -64.514, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -0.61716, y: -8.5351, z: -31.48811 },
  accel: { x: -0.18384, y: -0.98417, z: -0.03963 },
  compass: { x: -119.46636, y: -64.514, z: 33.42573 },
  dt: 12 },
{ gyro: { x: -0.13624, y: -0.49693, z: -20.52627 },
  accel: { x: -0.15316, y: -1.05343, z: 0.00633 },
  compass: { x: -115.76198, y: -64.514, z: 38.56815 },
  dt: 13 },
{ gyro: { x: -0.02937, y: -0.4893, z: -18.99956 },
  accel: { x: -0.14951, y: -1.0106, z: 0.00681 },
  compass: { x: -115.76198, y: -64.514, z: 38.56815 },
  dt: 13 },
{ gyro: { x: 0.69582, y: 0.10612, z: -7.43467 },
  accel: { x: -0.09618, y: -1.19147, z: 0.01448 },
  compass: { x: -115.76198, y: -62.72195, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.35994, y: -0.17632, z: -3.57208 },
  accel: { x: -0.14902, y: -1.00791, z: 0.0104 },
  compass: { x: -119.46636, y: -60.92989, z: 33.42573 },
  dt: 13 },
{ gyro: { x: 0.3294, y: 0.13666, z: -2.46521 },
  accel: { x: -0.14927, y: -0.99053, z: 0.00849 },
  compass: { x: -115.76198, y: -60.92989, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 0.55841, y: 0.33513, z: -4.13696 },
  accel: { x: -0.16144, y: -0.9455, z: 0.02145 },
  compass: { x: -115.76198, y: -60.92989, z: 38.56815 },
  dt: 13 },
{ gyro: { x: 0.58131, y: 0.63284, z: -11.32017 },
  accel: { x: -0.17654, y: -0.83903, z: 0.01568 },
  compass: { x: -115.76198, y: -60.92989, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 0.29887, y: -1.17632, z: -27.31253 },
  accel: { x: -0.17434, y: -0.70149, z: -0.03554 },
  compass: { x: -117.61417, y: -62.72195, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.93246, y: -4.78701, z: -42.2362 },
  accel: { x: -0.2133, y: -0.81309, z: -0.15056 },
  compass: { x: -121.31856, y: -60.92989, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.54846, y: -2.40533, z: -34.82398 },
  accel: { x: -0.19041, y: -1.16357, z: -0.05383 },
  compass: { x: -121.31856, y: -59.13783, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 2.1233, y: 2.38093, z: -37.03773 },
  accel: { x: -0.12735, y: -1.19098, z: 0.27609 },
  compass: { x: -121.31856, y: -59.13783, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.3065, y: -3.37479, z: -24.86215 },
  accel: { x: -0.10714, y: -1.1085, z: -0.02688 },
  compass: { x: -123.17075, y: -55.55372, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 0.25307, y: 0.4649, z: -39.13696 },
  accel: { x: -0.11445, y: -0.66086, z: -0.12578 },
  compass: { x: -125.02294, y: -59.13783, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -1.99121, y: 0.73971, z: -36.22856 },
  accel: { x: -0.05309, y: -0.90414, z: -0.03867 },
  compass: { x: -123.17075, y: -59.13783, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -1.9454, y: -4.19922, z: -37.97666 },
  accel: { x: -0.14245, y: -0.96655, z: 0.00873 },
  compass: { x: -123.17075, y: -59.13783, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.22785, y: -1.19159, z: -32.80108 },
  accel: { x: -0.01368, y: -0.95015, z: 0.03875 },
  compass: { x: -123.17075, y: -59.13783, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.97063, y: 1.75498, z: -24.72475 },
  accel: { x: -0.07622, y: -1.35692, z: 0.0044 },
  compass: { x: -123.17075, y: -53.76167, z: 33.42573 },
  dt: 13 },
{ gyro: { x: -0.00647, y: 0.82368, z: -20.96139 },
  accel: { x: -0.05236, y: -0.88627, z: 0.01352 },
  compass: { x: -125.02294, y: -53.76167, z: 33.42573 },
  dt: 12 },
{ gyro: { x: -1.30418, y: -2.51983, z: -27.06826 },
  accel: { x: -0.07841, y: -0.84368, z: -0.02423 },
  compass: { x: -121.31856, y: -51.96961, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.0546, y: -0.51983, z: -34.3049 },
  accel: { x: -0.06161, y: -0.93693, z: 0.12138 },
  compass: { x: -121.31856, y: -51.96961, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.18437, y: 0.56414, z: -28.1446 },
  accel: { x: -0.03994, y: -1.02333, z: -0.04084 },
  compass: { x: -121.31856, y: -51.96961, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.31182, y: -4.04655, z: -40.08353 },
  accel: { x: -0.09375, y: -0.74358, z: -0.02953 },
  compass: { x: -125.02294, y: -50.17756, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.05991, y: 4.49544, z: -41.89269 },
  accel: { x: 0.00561, y: -1.00791, z: 0.05292 },
  compass: { x: -128.72732, y: -50.17756, z: 38.56815 },
  dt: 13 },
{ gyro: { x: -0.22785, y: 0.13666, z: -28.86979 },
  accel: { x: -0.01681, y: -1.13248, z: 0.03754 },
  compass: { x: -123.17075, y: -50.17756, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.34235, y: -3.4435, z: -33.33544 },
  accel: { x: -0.02996, y: -0.85054, z: -0.05287 },
  compass: { x: -123.17075, y: -50.17756, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.61716, y: -0.22976, z: -34.4194 },
  accel: { x: 0.00341, y: -1.07228, z: 0.04667 },
  compass: { x: -128.72732, y: -46.59345, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 0.1462, y: -2.558, z: -18.94612 },
  accel: { x: 0.10942, y: -1.62859, z: 0.00175 },
  compass: { x: -125.02294, y: -43.00933, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.03701, y: -0.71831, z: -9.50337 },
  accel: { x: -0.02046, y: -0.94232, z: 0.0056 },
  compass: { x: -125.02294, y: -43.00933, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.57368, y: 0.15192, z: -14.71711 },
  accel: { x: -0.00221, y: -0.96532, z: 0.01256 },
  compass: { x: -126.87513, y: -46.59345, z: 36.85401 },
  dt: 57 },
{ gyro: { x: 0.1004, y: -0.01602, z: 0.01571 },
  accel: { x: -0.00465, y: -1.00987, z: 0.0116 },
  compass: { x: -128.72732, y: -48.3855, z: 38.56815 },
  dt: 13 },
{ gyro: { x: 0.42101, y: -0.23739, z: -0.18276 },
  accel: { x: -0.00587, y: -1.0035, z: 0.01496 },
  compass: { x: -128.72732, y: -43.00933, z: 40.28229 },
  dt: 13 },
{ gyro: { x: 0.0775, y: -0.35189, z: -0.06826 },
  accel: { x: -0.00318, y: -0.99787, z: 0.01016 },
  compass: { x: -128.72732, y: -43.00933, z: 40.28229 },
  dt: 12 },
{ gyro: { x: 0.03169, y: -0.41296, z: 0.02334 },
  accel: { x: -0.0044, y: -1.00473, z: 0.00873 },
  compass: { x: -128.72732, y: -43.00933, z: 40.28229 },
  dt: 13 },
{ gyro: { x: -0.02174, y: -0.36716, z: 0.00808 },
  accel: { x: -0.00562, y: -1.00277, z: 0.01616 },
  compass: { x: -130.57951, y: -44.80139, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.07518, y: -0.16869, z: -0.04536 },
  accel: { x: -0.00807, y: -1.00301, z: 0.01737 },
  compass: { x: -126.87513, y: -46.59345, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.06754, y: -0.19159, z: 0.13785 },
  accel: { x: -0.00147, y: -1.00032, z: 0.00657 },
  compass: { x: -126.87513, y: -41.21728, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.05991, y: -0.31373, z: -0.01482 },
  accel: { x: -0.00538, y: -1.00155, z: 0.00944 },
  compass: { x: -126.87513, y: -41.21728, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.04464, y: 0.12902, z: 0.09205 },
  accel: { x: -0.00416, y: -1.00301, z: 0.00657 },
  compass: { x: -125.02294, y: -41.21728, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.03701, y: -0.22976, z: 0.31342 },
  accel: { x: -0.00343, y: -0.99983, z: 0.01184 },
  compass: { x: -126.87513, y: -41.21728, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.0546, y: -0.40533, z: -0.03009 },
  accel: { x: -0.00562, y: -1.00326, z: 0.01352 },
  compass: { x: -128.72732, y: -43.00933, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.00879, y: -0.22976, z: 0.04624 },
  accel: { x: -0.00221, y: -1.0035, z: 0.00825 },
  compass: { x: -123.17075, y: -44.80139, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.02406, y: -0.26029, z: -0.06063 },
  accel: { x: -0.00611, y: -1.0035, z: 0.00753 },
  compass: { x: -123.17075, y: -44.80139, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.09808, y: -0.41296, z: -0.12933 },
  accel: { x: -0.00318, y: -1.00644, z: 0.00705 },
  compass: { x: -126.87513, y: -46.59345, z: 33.42573 },
  dt: 12 },
{ gyro: { x: -0.12861, y: 0.03742, z: 0.03861 },
  accel: { x: -0.00758, y: -1.00057, z: 0.00344 },
  compass: { x: -126.87513, y: -43.00933, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.38052, y: -0.30609, z: -0.03773 },
  accel: { x: -0.00489, y: -0.99934, z: 0.0152 },
  compass: { x: -128.72732, y: -44.80139, z: 31.71159 },
  dt: 12 },
{ gyro: { x: 0.09276, y: -0.19922, z: 0.05388 },
  accel: { x: 0.00244, y: -1.00399, z: 0.01136 },
  compass: { x: -128.72732, y: -44.80139, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.03701, y: -0.12289, z: -0.12169 },
  accel: { x: -0.00074, y: -1.00497, z: 0.01256 },
  compass: { x: -128.72732, y: -44.80139, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.0546, y: 0.06795, z: 0.01571 },
  accel: { x: -0.00489, y: -1.00203, z: 0.01544 },
  compass: { x: -128.72732, y: -44.80139, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.25075, y: -0.11525, z: -0.06826 },
  accel: { x: -0.00416, y: -1.00228, z: 0.00777 },
  compass: { x: -126.87513, y: -44.80139, z: 33.42573 },
  dt: 12 },
{ gyro: { x: -0.06754, y: -0.13052, z: 0.16838 },
  accel: { x: -0.00269, y: -1.00375, z: 0.00873 },
  compass: { x: -128.72732, y: -43.00933, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.00116, y: -0.25266, z: 0.09968 },
  accel: { x: -0.00025, y: -0.99861, z: 0.01088 },
  compass: { x: -128.72732, y: -44.80139, z: 33.42573 },
  dt: 12 },
{ gyro: { x: 0.13856, y: -0.41296, z: 0.05388 },
  accel: { x: -0.00782, y: -1.00448, z: 0.0152 },
  compass: { x: -128.72732, y: -44.80139, z: 33.42573 },
  dt: 13 },
{ gyro: { x: -0.25075, y: -0.09235, z: -0.04536 },
  accel: { x: -0.00611, y: -1.00301, z: 0.01016 },
  compass: { x: -128.72732, y: -44.80139, z: 33.42573 },
  dt: 12 },
{ gyro: { x: -0.08281, y: 0.04505, z: 0.00044 },
  accel: { x: -0.00318, y: -1.00106, z: 0.00392 },
  compass: { x: -130.57951, y: -41.21728, z: 40.28229 },
  dt: 12 },
{ gyro: { x: 0.13856, y: -0.30609, z: 0.05388 },
  accel: { x: -0.00465, y: -1.00228, z: 0.00944 },
  compass: { x: -126.87513, y: -43.00933, z: 38.56815 },
  dt: 13 },
{ gyro: { x: 0.00116, y: -0.38243, z: -0.06063 },
  accel: { x: -0.00391, y: -1.00252, z: 0.00584 },
  compass: { x: -128.72732, y: -43.00933, z: 33.42573 },
  dt: 12 },
{ gyro: { x: -0.18205, y: -0.09235, z: 0.08441 },
  accel: { x: -0.00245, y: -1.00448, z: 0.01112 },
  compass: { x: -128.72732, y: -43.00933, z: 33.42573 },
  dt: 13 },
{ gyro: { x: -0.11334, y: -0.17632, z: 0.00044 },
  accel: { x: -0.00318, y: -1.00473, z: 0.01328 },
  compass: { x: -128.72732, y: -43.00933, z: 33.42573 },
  dt: 11 },
{ gyro: { x: 0.1691, y: -0.39006, z: 0.03098 },
  accel: { x: -0.00367, y: -1.00106, z: 0.00992 },
  compass: { x: -130.57951, y: -43.00933, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.13093, y: -0.08472, z: 0.09205 },
  accel: { x: -0.00489, y: -1.00081, z: 0.00992 },
  compass: { x: -128.72732, y: -44.80139, z: 33.42573 },
  dt: 12 },
{ gyro: { x: 0.00116, y: -0.39006, z: -0.3049 },
  accel: { x: -0.00636, y: -0.99812, z: 0.01256 },
  compass: { x: -132.43171, y: -41.21728, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.10571, y: -0.05418, z: -0.00719 },
  accel: { x: -0.00514, y: -1.00424, z: 0.00873 },
  compass: { x: -132.43171, y: -41.21728, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.00879, y: -0.26792, z: -0.03773 },
  accel: { x: -0.00245, y: -1.00057, z: 0.01208 },
  compass: { x: -128.72732, y: -43.00933, z: 38.56815 },
  dt: 13 },
{ gyro: { x: -0.00647, y: -0.01602, z: 0.00044 },
  accel: { x: -0.00196, y: -1.00375, z: 0.00777 },
  compass: { x: -125.02294, y: -46.59345, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.02174, y: -0.10762, z: -0.1904 },
  accel: { x: -0.00636, y: -0.9991, z: 0.01448 },
  compass: { x: -126.87513, y: -43.00933, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.12861, y: -0.32899, z: 0.10731 },
  accel: { x: -0.00416, y: -1.00399, z: 0.01568 },
  compass: { x: -126.87513, y: -43.00933, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.01643, y: -0.29082, z: 0.32869 },
  accel: { x: -0.00611, y: -0.99959, z: 0.0092 },
  compass: { x: -126.87513, y: -43.00933, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.15915, y: -0.39006, z: 0.22945 },
  accel: { x: -0.00294, y: -1.00448, z: 0.00944 },
  compass: { x: -126.87513, y: -44.80139, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.192, y: -0.16869, z: 0.06151 },
  accel: { x: -0.00416, y: -1.00008, z: 0.0092 },
  compass: { x: -128.72732, y: -37.63317, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.14388, y: -0.25266, z: 0.04624 },
  accel: { x: -0.00367, y: -1.0035, z: 0.00849 },
  compass: { x: -128.72732, y: -44.80139, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.00116, y: -0.23739, z: 0.14548 },
  accel: { x: -0.00318, y: -1.00252, z: 0.01208 },
  compass: { x: -128.72732, y: -44.80139, z: 36.85401 },
  dt: 11 },
{ gyro: { x: -0.18968, y: -0.06945, z: -0.03773 },
  accel: { x: -0.00538, y: -1.00032, z: 0.01424 },
  compass: { x: -128.72732, y: -44.80139, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.18205, y: -0.39769, z: 0.00044 },
  accel: { x: -0.0044, y: -1.00277, z: 0.00657 },
  compass: { x: -128.72732, y: -41.21728, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.03169, y: -0.19159, z: -0.04536 },
  accel: { x: -0.00636, y: -1.00155, z: 0.00968 },
  compass: { x: -126.87513, y: -44.80139, z: 40.28229 },
  dt: 13 },
{ gyro: { x: 0.31414, y: -0.24502, z: -0.19803 },
  accel: { x: -0.00074, y: -1.00326, z: 0.0164 },
  compass: { x: -128.72732, y: -41.21728, z: 36.85401 },
  dt: 11 },
{ gyro: { x: -0.15915, y: -0.12289, z: -0.09116 },
  accel: { x: -0.0044, y: -0.99567, z: 0.00992 },
  compass: { x: -128.72732, y: -41.21728, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.13624, y: -0.34426, z: 0.04624 },
  accel: { x: -0.00685, y: -1.00448, z: 0.01016 },
  compass: { x: -128.72732, y: -48.3855, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.22785, y: 0.11376, z: 0.03098 },
  accel: { x: -0.00147, y: -1.00081, z: 0.01064 },
  compass: { x: -126.87513, y: -44.80139, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.13093, y: -0.15342, z: -0.06826 },
  accel: { x: -0.00489, y: -1.00081, z: 0.00873 },
  compass: { x: -128.72732, y: -41.21728, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.05991, y: -0.59617, z: -0.10643 },
  accel: { x: -0.00343, y: -1.00301, z: 0.0116 },
  compass: { x: -128.72732, y: -41.21728, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.06223, y: -0.51983, z: 0.03098 },
  accel: { x: -0.00587, y: -1.00791, z: 0.00849 },
  compass: { x: -128.72732, y: -41.21728, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.20495, y: -0.36716, z: 0.08441 },
  accel: { x: -0.00856, y: -1.00301, z: 0.00801 },
  compass: { x: -125.02294, y: -43.00933, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.1233, y: -0.26029, z: -0.19803 },
  accel: { x: -0.0044, y: -1.00032, z: 0.00968 },
  compass: { x: -128.72732, y: -43.00933, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.29124, y: -0.19159, z: -0.11406 },
  accel: { x: -0.00416, y: -1.00179, z: 0.01688 },
  compass: { x: -128.72732, y: -43.00933, z: 38.56815 },
  dt: 13 },
{ gyro: { x: 0.02406, y: -0.26792, z: -0.06826 },
  accel: { x: -0.00514, y: -0.99983, z: 0.01064 },
  compass: { x: -128.72732, y: -43.00933, z: 38.56815 },
  dt: 12 },
{ gyro: { x: 0.09276, y: -0.04655, z: 0.02334 },
  accel: { x: -0.00318, y: -1.00081, z: 0.01256 },
  compass: { x: -128.72732, y: -43.00933, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -0.04464, y: -0.34426, z: 0.09205 },
  accel: { x: -0.00245, y: -1.00008, z: 0.01088 },
  compass: { x: -130.57951, y: -43.00933, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.00879, y: -0.33663, z: -0.07589 },
  accel: { x: -0.00465, y: -1.00448, z: 0.01592 },
  compass: { x: -128.72732, y: -43.00933, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.00647, y: -0.39006, z: 0.04624 },
  accel: { x: -0.00245, y: -1.00326, z: 0.01088 },
  compass: { x: -128.72732, y: -41.21728, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.13093, y: -0.39006, z: -0.04536 },
  accel: { x: -0.00587, y: -1.00571, z: 0.0104 },
  compass: { x: -128.72732, y: -41.21728, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.26602, y: 0.19773, z: 0.13785 },
  accel: { x: -0.00489, y: -1.00106, z: 0.01064 },
  compass: { x: -128.72732, y: -41.21728, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.05991, y: -0.17632, z: -0.01482 },
  accel: { x: -0.00391, y: -1.00375, z: 0.01184 },
  compass: { x: -128.72732, y: -44.80139, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.09044, y: -0.20685, z: 0.00044 },
  accel: { x: -0.00391, y: -1.00277, z: 0.01256 },
  compass: { x: -128.72732, y: -43.00933, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.03701, y: -0.4893, z: -0.09879 },
  accel: { x: -0.00391, y: -1.00106, z: 0.01833 },
  compass: { x: -130.57951, y: -43.00933, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.05227, y: -0.12289, z: 0.07678 },
  accel: { x: -0.00514, y: -1.00252, z: 0.00777 },
  compass: { x: -130.57951, y: -43.00933, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.0546, y: -0.43586, z: 0.13021 },
  accel: { x: -0.00245, y: -1.00203, z: 0.00512 },
  compass: { x: -128.72732, y: -46.59345, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.06223, y: -0.06945, z: 0.21418 },
  accel: { x: -0.00636, y: -1.00546, z: 0.00825 },
  compass: { x: -126.87513, y: -44.80139, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.13624, y: -0.24502, z: -0.04536 },
  accel: { x: -0.00269, y: -1.00008, z: 0.00873 },
  compass: { x: -126.87513, y: -44.80139, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.20495, y: -0.6954, z: 0.08441 },
  accel: { x: -0.00514, y: -1.00277, z: 0.01016 },
  compass: { x: -130.57951, y: -44.80139, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.192, y: -0.07708, z: -0.2133 },
  accel: { x: -0.0066, y: -1.00179, z: 0.01496 },
  compass: { x: -130.57951, y: -44.80139, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.01411, y: -0.16869, z: -0.12933 },
  accel: { x: -0.00343, y: -1.00252, z: 0.00729 },
  compass: { x: -126.87513, y: -44.80139, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.06223, y: -0.20685, z: 0.05388 },
  accel: { x: -0.00147, y: -1.00057, z: 0.0044 },
  compass: { x: -128.72732, y: -44.80139, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.24311, y: -0.45113, z: 0.14548 },
  accel: { x: -0.00465, y: -1.00644, z: 0.00873 },
  compass: { x: -128.72732, y: -43.00933, z: 38.56815 },
  dt: 13 },
{ gyro: { x: 0.23017, y: -0.24502, z: 0.00044 },
  accel: { x: -0.00343, y: -1.00106, z: 0.01448 },
  compass: { x: -128.72732, y: -43.00933, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -0.04464, y: -0.27556, z: -0.12169 },
  accel: { x: -0.00611, y: -1.00008, z: 0.01208 },
  compass: { x: -128.72732, y: -43.00933, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -0.00647, y: -0.16869, z: 0.13021 },
  accel: { x: -0.00538, y: -0.99959, z: 0.01184 },
  compass: { x: -126.87513, y: -41.21728, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.2378, y: -0.21449, z: -0.01482 },
  accel: { x: -0.00514, y: -1.0013, z: 0.01064 },
  compass: { x: -126.87513, y: -46.59345, z: 33.42573 },
  dt: 12 },
{ gyro: { x: -0.05991, y: -0.35953, z: 0.13785 },
  accel: { x: -0.00807, y: -1.00228, z: 0.01016 },
  compass: { x: -126.87513, y: -43.00933, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -0.04464, y: 0.11376, z: -0.01482 },
  accel: { x: -0.00709, y: -1.00081, z: 0.01352 },
  compass: { x: -126.87513, y: -43.00933, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.12861, y: -0.11525, z: 0.15311 },
  accel: { x: -0.00416, y: -1.00179, z: 0.0104 },
  compass: { x: -126.87513, y: -43.00933, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.1004, y: -0.03128, z: 0.07678 },
  accel: { x: -0.00221, y: -1.00203, z: 0.00896 },
  compass: { x: -128.72732, y: -43.00933, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.00116, y: -0.31373, z: -0.13696 },
  accel: { x: -0.00514, y: -1.00252, z: 0.00944 },
  compass: { x: -130.57951, y: -43.00933, z: 36.85401 },
  dt: 11 },
{ gyro: { x: 0.1233, y: -0.26029, z: -0.03773 },
  accel: { x: -0.00611, y: -0.9991, z: 0.00849 },
  compass: { x: -125.02294, y: -41.21728, z: 40.28229 },
  dt: 13 },
{ gyro: { x: -0.06754, y: -0.20685, z: 0.12258 },
  accel: { x: -0.00391, y: -0.9991, z: 0.01112 },
  compass: { x: -126.87513, y: -44.80139, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -0.00647, y: -0.43586, z: -0.09116 },
  accel: { x: -0.00221, y: -1.00326, z: 0.0092 },
  compass: { x: -126.87513, y: -44.80139, z: 38.56815 },
  dt: 13 },
{ gyro: { x: 0.00879, y: -0.10762, z: -0.13696 },
  accel: { x: -0.00172, y: -1.00008, z: 0.0056 },
  compass: { x: -126.87513, y: -44.80139, z: 38.56815 },
  dt: 11 },
{ gyro: { x: -0.13624, y: -0.26792, z: 0.13785 },
  accel: { x: -0.00489, y: -1.00399, z: 0.01352 },
  compass: { x: -128.72732, y: -48.3855, z: 35.13987 },
  dt: 13 },
{ gyro: { x: -0.12861, y: -0.38243, z: 0.00044 },
  accel: { x: -0.00343, y: -1.0035, z: 0.01088 },
  compass: { x: -130.57951, y: -43.00933, z: 38.56815 },
  dt: 12 },
{ gyro: { x: -0.07518, y: -0.15342, z: -0.03773 },
  accel: { x: -0.00245, y: -1.00106, z: 0.00825 },
  compass: { x: -128.72732, y: -44.80139, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.08281, y: -0.09998, z: 0.06915 },
  accel: { x: -0.00758, y: -1.00032, z: 0.00944 },
  compass: { x: -128.72732, y: -44.80139, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.05991, y: -0.10762, z: 0.06151 },
  accel: { x: -0.00074, y: -1.00228, z: 0.00368 },
  compass: { x: -126.87513, y: -46.59345, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.03933, y: -0.35189, z: 0.12258 },
  accel: { x: -0.00465, y: -0.99885, z: 0.01016 },
  compass: { x: -130.57951, y: -43.00933, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.13093, y: -0.35953, z: 0.04624 },
  accel: { x: -0.00514, y: -1.00448, z: 0.00944 },
  compass: { x: -130.57951, y: -46.59345, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.03701, y: -0.10762, z: -0.00719 },
  accel: { x: -0.00782, y: -1.00301, z: 0.01352 },
  compass: { x: -130.57951, y: -46.59345, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.13856, y: -0.27556, z: -0.03773 },
  accel: { x: -0.00147, y: -1.00375, z: 0.00873 },
  compass: { x: -130.57951, y: -46.59345, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.18437, y: -0.24502, z: -0.06063 },
  accel: { x: -0.00489, y: -1.00203, z: 0.00873 },
  compass: { x: -128.72732, y: -41.21728, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.16678, y: -0.01602, z: 0.00808 },
  accel: { x: -0.00269, y: -1.00228, z: 0.0152 },
  compass: { x: -130.57951, y: -43.00933, z: 38.56815 },
  dt: 13 },
{ gyro: { x: -0.01411, y: -0.23739, z: -0.07589 },
  accel: { x: -0.00733, y: -1.00448, z: 0.00873 },
  compass: { x: -128.72732, y: -43.00933, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.12861, y: -0.4664, z: -0.12169 },
  accel: { x: -0.00221, y: -1.00252, z: 0.01016 },
  compass: { x: -128.72732, y: -43.00933, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.26834, y: -0.35953, z: 0.19892 },
  accel: { x: -0.0066, y: -1.00473, z: 0.01112 },
  compass: { x: -126.87513, y: -46.59345, z: 33.42573 },
  dt: 13 },
{ gyro: { x: 0.1462, y: 0.02979, z: 0.09205 },
  accel: { x: -0.00196, y: -1.0013, z: 0.0056 },
  compass: { x: -126.87513, y: -46.59345, z: 33.42573 },
  dt: 19 },
{ gyro: { x: -0.27365, y: -0.23739, z: 0.03861 },
  accel: { x: -0.00416, y: -1.0035, z: 0.01064 },
  compass: { x: -125.02294, y: -43.00933, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.08281, y: -0.22212, z: 0.04624 },
  accel: { x: -0.00196, y: -0.9991, z: 0.01352 },
  compass: { x: -126.87513, y: -43.00933, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.10803, y: -0.40533, z: 0.19892 },
  accel: { x: -0.00343, y: -1.00448, z: 0.01088 },
  compass: { x: -130.57951, y: -41.21728, z: 35.13987 },
  dt: 13 },
{ gyro: { x: 0.03169, y: -0.11525, z: 0.13021 },
  accel: { x: -0.0066, y: -1.00252, z: 0.00344 },
  compass: { x: -130.57951, y: -41.21728, z: 35.13987 },
  dt: 12 },
{ gyro: { x: -0.24311, y: -0.41296, z: 0.27525 },
  accel: { x: -0.00562, y: -1.00473, z: 0.00633 },
  compass: { x: -130.57951, y: -41.21728, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.10803, y: -0.31373, z: 0.01571 },
  accel: { x: -0.00685, y: -1.00399, z: 0.00992 },
  compass: { x: -126.87513, y: -43.00933, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.06754, y: -0.04655, z: 0.12258 },
  accel: { x: -0.00269, y: -1.00326, z: 0.01112 },
  compass: { x: -128.72732, y: -43.00933, z: 36.85401 },
  dt: 13 },
{ gyro: { x: -0.05991, y: -0.13815, z: 0.08441 },
  accel: { x: -0.00123, y: -1.00155, z: 0.01232 },
  compass: { x: -126.87513, y: -44.80139, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.08281, y: -0.71067, z: 0.10731 },
  accel: { x: -0.00562, y: -0.99934, z: 0.00705 },
  compass: { x: -126.87513, y: -44.80139, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.05227, y: -0.5351, z: 0.00808 },
  accel: { x: -0.00318, y: -1.00252, z: 0.00657 },
  compass: { x: -126.87513, y: -44.80139, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.05991, y: -0.27556, z: 0.12258 },
  accel: { x: -0.00123, y: -1.00106, z: 0.00873 },
  compass: { x: -128.72732, y: -44.80139, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.00879, y: -0.18395, z: 0.16838 },
  accel: { x: -0.00636, y: -1.00032, z: 0.00944 },
  compass: { x: -126.87513, y: -44.80139, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.0546, y: -0.25266, z: 0.02334 },
  accel: { x: -0.00587, y: -1.00277, z: 0.01328 },
  compass: { x: -130.57951, y: -41.21728, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.00879, y: -0.04655, z: -0.06063 },
  accel: { x: -0.00611, y: -1.00203, z: 0.00968 },
  compass: { x: -130.57951, y: -41.21728, z: 36.85401 },
  dt: 12 },
{ gyro: { x: 0.03933, y: 0.14429, z: -0.11406 },
  accel: { x: -0.00269, y: -1.00155, z: 0.01184 },
  compass: { x: -128.72732, y: -44.80139, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.06986, y: -0.45876, z: 0.03098 },
  accel: { x: -0.00416, y: -1.00277, z: 0.01064 },
  compass: { x: -128.72732, y: -44.80139, z: 35.13987 },
  dt: 12 },
{ gyro: { x: 0.18437, y: -0.06182, z: -0.00719 },
  accel: { x: -0.00391, y: -1.00228, z: 0.00896 },
  compass: { x: -130.57951, y: -46.59345, z: 41.99643 },
  dt: 13 },
{ gyro: { x: -0.10571, y: -0.27556, z: 0.11495 },
  accel: { x: -0.0044, y: -1.00326, z: 0.00296 },
  compass: { x: -130.57951, y: -46.59345, z: 41.99643 },
  dt: 12 },
{ gyro: { x: 0.06986, y: -0.19159, z: -0.09879 },
  accel: { x: -0.00514, y: -1.00497, z: 0.01232 },
  compass: { x: -130.57951, y: -46.59345, z: 31.71159 },
  dt: 13 },
{ gyro: { x: -0.01411, y: -0.10762, z: 0.00044 },
  accel: { x: -0.00123, y: -0.9991, z: 0.00825 },
  compass: { x: -132.43171, y: -43.00933, z: 36.85401 },
  dt: 11 },
{ gyro: { x: 0.00879, y: -0.16105, z: -0.04536 },
  accel: { x: -0.00538, y: -1.00179, z: 0.01256 },
  compass: { x: -128.72732, y: -46.59345, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.04696, y: -0.4664, z: -0.00719 },
  accel: { x: -0.00416, y: -1.00448, z: 0.01088 },
  compass: { x: -126.87513, y: -44.80139, z: 36.85401 },
  dt: 12 },
{ gyro: { x: -0.00647, y: -0.26029, z: -0.03773 },
  accel: { x: -0.0044, y: -1.0035, z: 0.01112 },
  compass: { x: -130.57951, y: -43.00933, z: 35.13987 },
  dt: 16 },
{ gyro: { x: -0.14388, y: -0.37479, z: 0.09205 },
  accel: { x: -0.00538, y: -1.00106, z: 0.01088 },
  compass: { x: -128.72732, y: -41.21728, z: 36.85401 },
  dt: 13 },
{ gyro: { x: 0.10803, y: -0.35953, z: 0.09968 },
  accel: { x: -0.00685, y: -1.00301, z: 0.01304 },
  compass: { x: -128.72732, y: -41.21728, z: 36.85401 },
  dt: 12 }];
